/* [MS-XLSB] 2.3 Record Enumeration */
var XLSBRecordEnum = {
	/*::[*/0x0000/*::]*/: { n:"BrtRowHdr", f:parse_BrtRowHdr },
	/*::[*/0x0001/*::]*/: { n:"BrtCellBlank", f:parse_BrtCellBlank },
	/*::[*/0x0002/*::]*/: { n:"BrtCellRk", f:parse_BrtCellRk },
	/*::[*/0x0003/*::]*/: { n:"BrtCellError", f:parse_BrtCellError },
	/*::[*/0x0004/*::]*/: { n:"BrtCellBool", f:parse_BrtCellBool },
	/*::[*/0x0005/*::]*/: { n:"BrtCellReal", f:parse_BrtCellReal },
	/*::[*/0x0006/*::]*/: { n:"BrtCellSt", f:parse_BrtCellSt },
	/*::[*/0x0007/*::]*/: { n:"BrtCellIsst", f:parse_BrtCellIsst },
	/*::[*/0x0008/*::]*/: { n:"BrtFmlaString", f:parse_BrtFmlaString },
	/*::[*/0x0009/*::]*/: { n:"BrtFmlaNum", f:parse_BrtFmlaNum },
	/*::[*/0x000A/*::]*/: { n:"BrtFmlaBool", f:parse_BrtFmlaBool },
	/*::[*/0x000B/*::]*/: { n:"BrtFmlaError", f:parse_BrtFmlaError },
	/*::[*/0x0010/*::]*/: { n:"BrtFRTArchID$", f:parse_BrtFRTArchID$ },
	/*::[*/0x0013/*::]*/: { n:"BrtSSTItem", f:parse_RichStr },
	/*::[*/0x0014/*::]*/: { n:"BrtPCDIMissing", f:parsenoop },
	/*::[*/0x0015/*::]*/: { n:"BrtPCDINumber", f:parsenoop },
	/*::[*/0x0016/*::]*/: { n:"BrtPCDIBoolean", f:parsenoop },
	/*::[*/0x0017/*::]*/: { n:"BrtPCDIError", f:parsenoop },
	/*::[*/0x0018/*::]*/: { n:"BrtPCDIString", f:parsenoop },
	/*::[*/0x0019/*::]*/: { n:"BrtPCDIDatetime", f:parsenoop },
	/*::[*/0x001A/*::]*/: { n:"BrtPCDIIndex", f:parsenoop },
	/*::[*/0x001B/*::]*/: { n:"BrtPCDIAMissing", f:parsenoop },
	/*::[*/0x001C/*::]*/: { n:"BrtPCDIANumber", f:parsenoop },
	/*::[*/0x001D/*::]*/: { n:"BrtPCDIABoolean", f:parsenoop },
	/*::[*/0x001E/*::]*/: { n:"BrtPCDIAError", f:parsenoop },
	/*::[*/0x001F/*::]*/: { n:"BrtPCDIAString", f:parsenoop },
	/*::[*/0x0020/*::]*/: { n:"BrtPCDIADatetime", f:parsenoop },
	/*::[*/0x0021/*::]*/: { n:"BrtPCRRecord", f:parsenoop },
	/*::[*/0x0022/*::]*/: { n:"BrtPCRRecordDt", f:parsenoop },
	/*::[*/0x0023/*::]*/: { n:"BrtFRTBegin", f:parsenoop },
	/*::[*/0x0024/*::]*/: { n:"BrtFRTEnd", f:parsenoop },
	/*::[*/0x0025/*::]*/: { n:"BrtACBegin", f:parsenoop },
	/*::[*/0x0026/*::]*/: { n:"BrtACEnd", f:parsenoop },
	/*::[*/0x0027/*::]*/: { n:"BrtName", f:parse_BrtName },
	/*::[*/0x0028/*::]*/: { n:"BrtIndexRowBlock", f:parsenoop },
	/*::[*/0x002A/*::]*/: { n:"BrtIndexBlock", f:parsenoop },
	/*::[*/0x002B/*::]*/: { n:"BrtFont", f:parse_BrtFont },
	/*::[*/0x002C/*::]*/: { n:"BrtFmt", f:parse_BrtFmt },
	/*::[*/0x002D/*::]*/: { n:"BrtFill", f:parsenoop },
	/*::[*/0x002E/*::]*/: { n:"BrtBorder", f:parsenoop },
	/*::[*/0x002F/*::]*/: { n:"BrtXF", f:parse_BrtXF },
	/*::[*/0x0030/*::]*/: { n:"BrtStyle", f:parsenoop },
	/*::[*/0x0031/*::]*/: { n:"BrtCellMeta", f:parsenoop },
	/*::[*/0x0032/*::]*/: { n:"BrtValueMeta", f:parsenoop },
	/*::[*/0x0033/*::]*/: { n:"BrtMdb", f:parsenoop },
	/*::[*/0x0034/*::]*/: { n:"BrtBeginFmd", f:parsenoop },
	/*::[*/0x0035/*::]*/: { n:"BrtEndFmd", f:parsenoop },
	/*::[*/0x0036/*::]*/: { n:"BrtBeginMdx", f:parsenoop },
	/*::[*/0x0037/*::]*/: { n:"BrtEndMdx", f:parsenoop },
	/*::[*/0x0038/*::]*/: { n:"BrtBeginMdxTuple", f:parsenoop },
	/*::[*/0x0039/*::]*/: { n:"BrtEndMdxTuple", f:parsenoop },
	/*::[*/0x003A/*::]*/: { n:"BrtMdxMbrIstr", f:parsenoop },
	/*::[*/0x003B/*::]*/: { n:"BrtStr", f:parsenoop },
	/*::[*/0x003C/*::]*/: { n:"BrtColInfo", f:parse_ColInfo },
	/*::[*/0x003E/*::]*/: { n:"BrtCellRString", f:parsenoop },
	/*::[*/0x003F/*::]*/: { n:"BrtCalcChainItem$", f:parse_BrtCalcChainItem$ },
	/*::[*/0x0040/*::]*/: { n:"BrtDVal", f:parsenoop },
	/*::[*/0x0041/*::]*/: { n:"BrtSxvcellNum", f:parsenoop },
	/*::[*/0x0042/*::]*/: { n:"BrtSxvcellStr", f:parsenoop },
	/*::[*/0x0043/*::]*/: { n:"BrtSxvcellBool", f:parsenoop },
	/*::[*/0x0044/*::]*/: { n:"BrtSxvcellErr", f:parsenoop },
	/*::[*/0x0045/*::]*/: { n:"BrtSxvcellDate", f:parsenoop },
	/*::[*/0x0046/*::]*/: { n:"BrtSxvcellNil", f:parsenoop },
	/*::[*/0x0080/*::]*/: { n:"BrtFileVersion", f:parsenoop },
	/*::[*/0x0081/*::]*/: { n:"BrtBeginSheet", f:parsenoop },
	/*::[*/0x0082/*::]*/: { n:"BrtEndSheet", f:parsenoop },
	/*::[*/0x0083/*::]*/: { n:"BrtBeginBook", f:parsenoop, p:0 },
	/*::[*/0x0084/*::]*/: { n:"BrtEndBook", f:parsenoop },
	/*::[*/0x0085/*::]*/: { n:"BrtBeginWsViews", f:parsenoop },
	/*::[*/0x0086/*::]*/: { n:"BrtEndWsViews", f:parsenoop },
	/*::[*/0x0087/*::]*/: { n:"BrtBeginBookViews", f:parsenoop },
	/*::[*/0x0088/*::]*/: { n:"BrtEndBookViews", f:parsenoop },
	/*::[*/0x0089/*::]*/: { n:"BrtBeginWsView", f:parsenoop },
	/*::[*/0x008A/*::]*/: { n:"BrtEndWsView", f:parsenoop },
	/*::[*/0x008B/*::]*/: { n:"BrtBeginCsViews", f:parsenoop },
	/*::[*/0x008C/*::]*/: { n:"BrtEndCsViews", f:parsenoop },
	/*::[*/0x008D/*::]*/: { n:"BrtBeginCsView", f:parsenoop },
	/*::[*/0x008E/*::]*/: { n:"BrtEndCsView", f:parsenoop },
	/*::[*/0x008F/*::]*/: { n:"BrtBeginBundleShs", f:parsenoop },
	/*::[*/0x0090/*::]*/: { n:"BrtEndBundleShs", f:parsenoop },
	/*::[*/0x0091/*::]*/: { n:"BrtBeginSheetData", f:parsenoop },
	/*::[*/0x0092/*::]*/: { n:"BrtEndSheetData", f:parsenoop },
	/*::[*/0x0093/*::]*/: { n:"BrtWsProp", f:parse_BrtWsProp },
	/*::[*/0x0094/*::]*/: { n:"BrtWsDim", f:parse_BrtWsDim, p:16 },
	/*::[*/0x0097/*::]*/: { n:"BrtPane", f:parsenoop },
	/*::[*/0x0098/*::]*/: { n:"BrtSel", f:parsenoop },
	/*::[*/0x0099/*::]*/: { n:"BrtWbProp", f:parse_BrtWbProp },
	/*::[*/0x009A/*::]*/: { n:"BrtWbFactoid", f:parsenoop },
	/*::[*/0x009B/*::]*/: { n:"BrtFileRecover", f:parsenoop },
	/*::[*/0x009C/*::]*/: { n:"BrtBundleSh", f:parse_BrtBundleSh },
	/*::[*/0x009D/*::]*/: { n:"BrtCalcProp", f:parsenoop },
	/*::[*/0x009E/*::]*/: { n:"BrtBookView", f:parsenoop },
	/*::[*/0x009F/*::]*/: { n:"BrtBeginSst", f:parse_BrtBeginSst },
	/*::[*/0x00A0/*::]*/: { n:"BrtEndSst", f:parsenoop },
	/*::[*/0x00A1/*::]*/: { n:"BrtBeginAFilter", f:parse_UncheckedRfX },
	/*::[*/0x00A2/*::]*/: { n:"BrtEndAFilter", f:parsenoop },
	/*::[*/0x00A3/*::]*/: { n:"BrtBeginFilterColumn", f:parsenoop },
	/*::[*/0x00A4/*::]*/: { n:"BrtEndFilterColumn", f:parsenoop },
	/*::[*/0x00A5/*::]*/: { n:"BrtBeginFilters", f:parsenoop },
	/*::[*/0x00A6/*::]*/: { n:"BrtEndFilters", f:parsenoop },
	/*::[*/0x00A7/*::]*/: { n:"BrtFilter", f:parsenoop },
	/*::[*/0x00A8/*::]*/: { n:"BrtColorFilter", f:parsenoop },
	/*::[*/0x00A9/*::]*/: { n:"BrtIconFilter", f:parsenoop },
	/*::[*/0x00AA/*::]*/: { n:"BrtTop10Filter", f:parsenoop },
	/*::[*/0x00AB/*::]*/: { n:"BrtDynamicFilter", f:parsenoop },
	/*::[*/0x00AC/*::]*/: { n:"BrtBeginCustomFilters", f:parsenoop },
	/*::[*/0x00AD/*::]*/: { n:"BrtEndCustomFilters", f:parsenoop },
	/*::[*/0x00AE/*::]*/: { n:"BrtCustomFilter", f:parsenoop },
	/*::[*/0x00AF/*::]*/: { n:"BrtAFilterDateGroupItem", f:parsenoop },
	/*::[*/0x00B0/*::]*/: { n:"BrtMergeCell", f:parse_BrtMergeCell },
	/*::[*/0x00B1/*::]*/: { n:"BrtBeginMergeCells", f:parsenoop },
	/*::[*/0x00B2/*::]*/: { n:"BrtEndMergeCells", f:parsenoop },
	/*::[*/0x00B3/*::]*/: { n:"BrtBeginPivotCacheDef", f:parsenoop },
	/*::[*/0x00B4/*::]*/: { n:"BrtEndPivotCacheDef", f:parsenoop },
	/*::[*/0x00B5/*::]*/: { n:"BrtBeginPCDFields", f:parsenoop },
	/*::[*/0x00B6/*::]*/: { n:"BrtEndPCDFields", f:parsenoop },
	/*::[*/0x00B7/*::]*/: { n:"BrtBeginPCDField", f:parsenoop },
	/*::[*/0x00B8/*::]*/: { n:"BrtEndPCDField", f:parsenoop },
	/*::[*/0x00B9/*::]*/: { n:"BrtBeginPCDSource", f:parsenoop },
	/*::[*/0x00BA/*::]*/: { n:"BrtEndPCDSource", f:parsenoop },
	/*::[*/0x00BB/*::]*/: { n:"BrtBeginPCDSRange", f:parsenoop },
	/*::[*/0x00BC/*::]*/: { n:"BrtEndPCDSRange", f:parsenoop },
	/*::[*/0x00BD/*::]*/: { n:"BrtBeginPCDFAtbl", f:parsenoop },
	/*::[*/0x00BE/*::]*/: { n:"BrtEndPCDFAtbl", f:parsenoop },
	/*::[*/0x00BF/*::]*/: { n:"BrtBeginPCDIRun", f:parsenoop },
	/*::[*/0x00C0/*::]*/: { n:"BrtEndPCDIRun", f:parsenoop },
	/*::[*/0x00C1/*::]*/: { n:"BrtBeginPivotCacheRecords", f:parsenoop },
	/*::[*/0x00C2/*::]*/: { n:"BrtEndPivotCacheRecords", f:parsenoop },
	/*::[*/0x00C3/*::]*/: { n:"BrtBeginPCDHierarchies", f:parsenoop },
	/*::[*/0x00C4/*::]*/: { n:"BrtEndPCDHierarchies", f:parsenoop },
	/*::[*/0x00C5/*::]*/: { n:"BrtBeginPCDHierarchy", f:parsenoop },
	/*::[*/0x00C6/*::]*/: { n:"BrtEndPCDHierarchy", f:parsenoop },
	/*::[*/0x00C7/*::]*/: { n:"BrtBeginPCDHFieldsUsage", f:parsenoop },
	/*::[*/0x00C8/*::]*/: { n:"BrtEndPCDHFieldsUsage", f:parsenoop },
	/*::[*/0x00C9/*::]*/: { n:"BrtBeginExtConnection", f:parsenoop },
	/*::[*/0x00CA/*::]*/: { n:"BrtEndExtConnection", f:parsenoop },
	/*::[*/0x00CB/*::]*/: { n:"BrtBeginECDbProps", f:parsenoop },
	/*::[*/0x00CC/*::]*/: { n:"BrtEndECDbProps", f:parsenoop },
	/*::[*/0x00CD/*::]*/: { n:"BrtBeginECOlapProps", f:parsenoop },
	/*::[*/0x00CE/*::]*/: { n:"BrtEndECOlapProps", f:parsenoop },
	/*::[*/0x00CF/*::]*/: { n:"BrtBeginPCDSConsol", f:parsenoop },
	/*::[*/0x00D0/*::]*/: { n:"BrtEndPCDSConsol", f:parsenoop },
	/*::[*/0x00D1/*::]*/: { n:"BrtBeginPCDSCPages", f:parsenoop },
	/*::[*/0x00D2/*::]*/: { n:"BrtEndPCDSCPages", f:parsenoop },
	/*::[*/0x00D3/*::]*/: { n:"BrtBeginPCDSCPage", f:parsenoop },
	/*::[*/0x00D4/*::]*/: { n:"BrtEndPCDSCPage", f:parsenoop },
	/*::[*/0x00D5/*::]*/: { n:"BrtBeginPCDSCPItem", f:parsenoop },
	/*::[*/0x00D6/*::]*/: { n:"BrtEndPCDSCPItem", f:parsenoop },
	/*::[*/0x00D7/*::]*/: { n:"BrtBeginPCDSCSets", f:parsenoop },
	/*::[*/0x00D8/*::]*/: { n:"BrtEndPCDSCSets", f:parsenoop },
	/*::[*/0x00D9/*::]*/: { n:"BrtBeginPCDSCSet", f:parsenoop },
	/*::[*/0x00DA/*::]*/: { n:"BrtEndPCDSCSet", f:parsenoop },
	/*::[*/0x00DB/*::]*/: { n:"BrtBeginPCDFGroup", f:parsenoop },
	/*::[*/0x00DC/*::]*/: { n:"BrtEndPCDFGroup", f:parsenoop },
	/*::[*/0x00DD/*::]*/: { n:"BrtBeginPCDFGItems", f:parsenoop },
	/*::[*/0x00DE/*::]*/: { n:"BrtEndPCDFGItems", f:parsenoop },
	/*::[*/0x00DF/*::]*/: { n:"BrtBeginPCDFGRange", f:parsenoop },
	/*::[*/0x00E0/*::]*/: { n:"BrtEndPCDFGRange", f:parsenoop },
	/*::[*/0x00E1/*::]*/: { n:"BrtBeginPCDFGDiscrete", f:parsenoop },
	/*::[*/0x00E2/*::]*/: { n:"BrtEndPCDFGDiscrete", f:parsenoop },
	/*::[*/0x00E3/*::]*/: { n:"BrtBeginPCDSDTupleCache", f:parsenoop },
	/*::[*/0x00E4/*::]*/: { n:"BrtEndPCDSDTupleCache", f:parsenoop },
	/*::[*/0x00E5/*::]*/: { n:"BrtBeginPCDSDTCEntries", f:parsenoop },
	/*::[*/0x00E6/*::]*/: { n:"BrtEndPCDSDTCEntries", f:parsenoop },
	/*::[*/0x00E7/*::]*/: { n:"BrtBeginPCDSDTCEMembers", f:parsenoop },
	/*::[*/0x00E8/*::]*/: { n:"BrtEndPCDSDTCEMembers", f:parsenoop },
	/*::[*/0x00E9/*::]*/: { n:"BrtBeginPCDSDTCEMember", f:parsenoop },
	/*::[*/0x00EA/*::]*/: { n:"BrtEndPCDSDTCEMember", f:parsenoop },
	/*::[*/0x00EB/*::]*/: { n:"BrtBeginPCDSDTCQueries", f:parsenoop },
	/*::[*/0x00EC/*::]*/: { n:"BrtEndPCDSDTCQueries", f:parsenoop },
	/*::[*/0x00ED/*::]*/: { n:"BrtBeginPCDSDTCQuery", f:parsenoop },
	/*::[*/0x00EE/*::]*/: { n:"BrtEndPCDSDTCQuery", f:parsenoop },
	/*::[*/0x00EF/*::]*/: { n:"BrtBeginPCDSDTCSets", f:parsenoop },
	/*::[*/0x00F0/*::]*/: { n:"BrtEndPCDSDTCSets", f:parsenoop },
	/*::[*/0x00F1/*::]*/: { n:"BrtBeginPCDSDTCSet", f:parsenoop },
	/*::[*/0x00F2/*::]*/: { n:"BrtEndPCDSDTCSet", f:parsenoop },
	/*::[*/0x00F3/*::]*/: { n:"BrtBeginPCDCalcItems", f:parsenoop },
	/*::[*/0x00F4/*::]*/: { n:"BrtEndPCDCalcItems", f:parsenoop },
	/*::[*/0x00F5/*::]*/: { n:"BrtBeginPCDCalcItem", f:parsenoop },
	/*::[*/0x00F6/*::]*/: { n:"BrtEndPCDCalcItem", f:parsenoop },
	/*::[*/0x00F7/*::]*/: { n:"BrtBeginPRule", f:parsenoop },
	/*::[*/0x00F8/*::]*/: { n:"BrtEndPRule", f:parsenoop },
	/*::[*/0x00F9/*::]*/: { n:"BrtBeginPRFilters", f:parsenoop },
	/*::[*/0x00FA/*::]*/: { n:"BrtEndPRFilters", f:parsenoop },
	/*::[*/0x00FB/*::]*/: { n:"BrtBeginPRFilter", f:parsenoop },
	/*::[*/0x00FC/*::]*/: { n:"BrtEndPRFilter", f:parsenoop },
	/*::[*/0x00FD/*::]*/: { n:"BrtBeginPNames", f:parsenoop },
	/*::[*/0x00FE/*::]*/: { n:"BrtEndPNames", f:parsenoop },
	/*::[*/0x00FF/*::]*/: { n:"BrtBeginPName", f:parsenoop },
	/*::[*/0x0100/*::]*/: { n:"BrtEndPName", f:parsenoop },
	/*::[*/0x0101/*::]*/: { n:"BrtBeginPNPairs", f:parsenoop },
	/*::[*/0x0102/*::]*/: { n:"BrtEndPNPairs", f:parsenoop },
	/*::[*/0x0103/*::]*/: { n:"BrtBeginPNPair", f:parsenoop },
	/*::[*/0x0104/*::]*/: { n:"BrtEndPNPair", f:parsenoop },
	/*::[*/0x0105/*::]*/: { n:"BrtBeginECWebProps", f:parsenoop },
	/*::[*/0x0106/*::]*/: { n:"BrtEndECWebProps", f:parsenoop },
	/*::[*/0x0107/*::]*/: { n:"BrtBeginEcWpTables", f:parsenoop },
	/*::[*/0x0108/*::]*/: { n:"BrtEndECWPTables", f:parsenoop },
	/*::[*/0x0109/*::]*/: { n:"BrtBeginECParams", f:parsenoop },
	/*::[*/0x010A/*::]*/: { n:"BrtEndECParams", f:parsenoop },
	/*::[*/0x010B/*::]*/: { n:"BrtBeginECParam", f:parsenoop },
	/*::[*/0x010C/*::]*/: { n:"BrtEndECParam", f:parsenoop },
	/*::[*/0x010D/*::]*/: { n:"BrtBeginPCDKPIs", f:parsenoop },
	/*::[*/0x010E/*::]*/: { n:"BrtEndPCDKPIs", f:parsenoop },
	/*::[*/0x010F/*::]*/: { n:"BrtBeginPCDKPI", f:parsenoop },
	/*::[*/0x0110/*::]*/: { n:"BrtEndPCDKPI", f:parsenoop },
	/*::[*/0x0111/*::]*/: { n:"BrtBeginDims", f:parsenoop },
	/*::[*/0x0112/*::]*/: { n:"BrtEndDims", f:parsenoop },
	/*::[*/0x0113/*::]*/: { n:"BrtBeginDim", f:parsenoop },
	/*::[*/0x0114/*::]*/: { n:"BrtEndDim", f:parsenoop },
	/*::[*/0x0115/*::]*/: { n:"BrtIndexPartEnd", f:parsenoop },
	/*::[*/0x0116/*::]*/: { n:"BrtBeginStyleSheet", f:parsenoop },
	/*::[*/0x0117/*::]*/: { n:"BrtEndStyleSheet", f:parsenoop },
	/*::[*/0x0118/*::]*/: { n:"BrtBeginSXView", f:parsenoop },
	/*::[*/0x0119/*::]*/: { n:"BrtEndSXVI", f:parsenoop },
	/*::[*/0x011A/*::]*/: { n:"BrtBeginSXVI", f:parsenoop },
	/*::[*/0x011B/*::]*/: { n:"BrtBeginSXVIs", f:parsenoop },
	/*::[*/0x011C/*::]*/: { n:"BrtEndSXVIs", f:parsenoop },
	/*::[*/0x011D/*::]*/: { n:"BrtBeginSXVD", f:parsenoop },
	/*::[*/0x011E/*::]*/: { n:"BrtEndSXVD", f:parsenoop },
	/*::[*/0x011F/*::]*/: { n:"BrtBeginSXVDs", f:parsenoop },
	/*::[*/0x0120/*::]*/: { n:"BrtEndSXVDs", f:parsenoop },
	/*::[*/0x0121/*::]*/: { n:"BrtBeginSXPI", f:parsenoop },
	/*::[*/0x0122/*::]*/: { n:"BrtEndSXPI", f:parsenoop },
	/*::[*/0x0123/*::]*/: { n:"BrtBeginSXPIs", f:parsenoop },
	/*::[*/0x0124/*::]*/: { n:"BrtEndSXPIs", f:parsenoop },
	/*::[*/0x0125/*::]*/: { n:"BrtBeginSXDI", f:parsenoop },
	/*::[*/0x0126/*::]*/: { n:"BrtEndSXDI", f:parsenoop },
	/*::[*/0x0127/*::]*/: { n:"BrtBeginSXDIs", f:parsenoop },
	/*::[*/0x0128/*::]*/: { n:"BrtEndSXDIs", f:parsenoop },
	/*::[*/0x0129/*::]*/: { n:"BrtBeginSXLI", f:parsenoop },
	/*::[*/0x012A/*::]*/: { n:"BrtEndSXLI", f:parsenoop },
	/*::[*/0x012B/*::]*/: { n:"BrtBeginSXLIRws", f:parsenoop },
	/*::[*/0x012C/*::]*/: { n:"BrtEndSXLIRws", f:parsenoop },
	/*::[*/0x012D/*::]*/: { n:"BrtBeginSXLICols", f:parsenoop },
	/*::[*/0x012E/*::]*/: { n:"BrtEndSXLICols", f:parsenoop },
	/*::[*/0x012F/*::]*/: { n:"BrtBeginSXFormat", f:parsenoop },
	/*::[*/0x0130/*::]*/: { n:"BrtEndSXFormat", f:parsenoop },
	/*::[*/0x0131/*::]*/: { n:"BrtBeginSXFormats", f:parsenoop },
	/*::[*/0x0132/*::]*/: { n:"BrtEndSxFormats", f:parsenoop },
	/*::[*/0x0133/*::]*/: { n:"BrtBeginSxSelect", f:parsenoop },
	/*::[*/0x0134/*::]*/: { n:"BrtEndSxSelect", f:parsenoop },
	/*::[*/0x0135/*::]*/: { n:"BrtBeginISXVDRws", f:parsenoop },
	/*::[*/0x0136/*::]*/: { n:"BrtEndISXVDRws", f:parsenoop },
	/*::[*/0x0137/*::]*/: { n:"BrtBeginISXVDCols", f:parsenoop },
	/*::[*/0x0138/*::]*/: { n:"BrtEndISXVDCols", f:parsenoop },
	/*::[*/0x0139/*::]*/: { n:"BrtEndSXLocation", f:parsenoop },
	/*::[*/0x013A/*::]*/: { n:"BrtBeginSXLocation", f:parsenoop },
	/*::[*/0x013B/*::]*/: { n:"BrtEndSXView", f:parsenoop },
	/*::[*/0x013C/*::]*/: { n:"BrtBeginSXTHs", f:parsenoop },
	/*::[*/0x013D/*::]*/: { n:"BrtEndSXTHs", f:parsenoop },
	/*::[*/0x013E/*::]*/: { n:"BrtBeginSXTH", f:parsenoop },
	/*::[*/0x013F/*::]*/: { n:"BrtEndSXTH", f:parsenoop },
	/*::[*/0x0140/*::]*/: { n:"BrtBeginISXTHRws", f:parsenoop },
	/*::[*/0x0141/*::]*/: { n:"BrtEndISXTHRws", f:parsenoop },
	/*::[*/0x0142/*::]*/: { n:"BrtBeginISXTHCols", f:parsenoop },
	/*::[*/0x0143/*::]*/: { n:"BrtEndISXTHCols", f:parsenoop },
	/*::[*/0x0144/*::]*/: { n:"BrtBeginSXTDMPS", f:parsenoop },
	/*::[*/0x0145/*::]*/: { n:"BrtEndSXTDMPs", f:parsenoop },
	/*::[*/0x0146/*::]*/: { n:"BrtBeginSXTDMP", f:parsenoop },
	/*::[*/0x0147/*::]*/: { n:"BrtEndSXTDMP", f:parsenoop },
	/*::[*/0x0148/*::]*/: { n:"BrtBeginSXTHItems", f:parsenoop },
	/*::[*/0x0149/*::]*/: { n:"BrtEndSXTHItems", f:parsenoop },
	/*::[*/0x014A/*::]*/: { n:"BrtBeginSXTHItem", f:parsenoop },
	/*::[*/0x014B/*::]*/: { n:"BrtEndSXTHItem", f:parsenoop },
	/*::[*/0x014C/*::]*/: { n:"BrtBeginMetadata", f:parsenoop },
	/*::[*/0x014D/*::]*/: { n:"BrtEndMetadata", f:parsenoop },
	/*::[*/0x014E/*::]*/: { n:"BrtBeginEsmdtinfo", f:parsenoop },
	/*::[*/0x014F/*::]*/: { n:"BrtMdtinfo", f:parsenoop },
	/*::[*/0x0150/*::]*/: { n:"BrtEndEsmdtinfo", f:parsenoop },
	/*::[*/0x0151/*::]*/: { n:"BrtBeginEsmdb", f:parsenoop },
	/*::[*/0x0152/*::]*/: { n:"BrtEndEsmdb", f:parsenoop },
	/*::[*/0x0153/*::]*/: { n:"BrtBeginEsfmd", f:parsenoop },
	/*::[*/0x0154/*::]*/: { n:"BrtEndEsfmd", f:parsenoop },
	/*::[*/0x0155/*::]*/: { n:"BrtBeginSingleCells", f:parsenoop },
	/*::[*/0x0156/*::]*/: { n:"BrtEndSingleCells", f:parsenoop },
	/*::[*/0x0157/*::]*/: { n:"BrtBeginList", f:parsenoop },
	/*::[*/0x0158/*::]*/: { n:"BrtEndList", f:parsenoop },
	/*::[*/0x0159/*::]*/: { n:"BrtBeginListCols", f:parsenoop },
	/*::[*/0x015A/*::]*/: { n:"BrtEndListCols", f:parsenoop },
	/*::[*/0x015B/*::]*/: { n:"BrtBeginListCol", f:parsenoop },
	/*::[*/0x015C/*::]*/: { n:"BrtEndListCol", f:parsenoop },
	/*::[*/0x015D/*::]*/: { n:"BrtBeginListXmlCPr", f:parsenoop },
	/*::[*/0x015E/*::]*/: { n:"BrtEndListXmlCPr", f:parsenoop },
	/*::[*/0x015F/*::]*/: { n:"BrtListCCFmla", f:parsenoop },
	/*::[*/0x0160/*::]*/: { n:"BrtListTrFmla", f:parsenoop },
	/*::[*/0x0161/*::]*/: { n:"BrtBeginExternals", f:parsenoop },
	/*::[*/0x0162/*::]*/: { n:"BrtEndExternals", f:parsenoop },
	/*::[*/0x0163/*::]*/: { n:"BrtSupBookSrc", f:parsenoop },
	/*::[*/0x0165/*::]*/: { n:"BrtSupSelf", f:parsenoop },
	/*::[*/0x0166/*::]*/: { n:"BrtSupSame", f:parsenoop },
	/*::[*/0x0167/*::]*/: { n:"BrtSupTabs", f:parsenoop },
	/*::[*/0x0168/*::]*/: { n:"BrtBeginSupBook", f:parsenoop },
	/*::[*/0x0169/*::]*/: { n:"BrtPlaceholderName", f:parsenoop },
	/*::[*/0x016A/*::]*/: { n:"BrtExternSheet", f:parsenoop },
	/*::[*/0x016B/*::]*/: { n:"BrtExternTableStart", f:parsenoop },
	/*::[*/0x016C/*::]*/: { n:"BrtExternTableEnd", f:parsenoop },
	/*::[*/0x016E/*::]*/: { n:"BrtExternRowHdr", f:parsenoop },
	/*::[*/0x016F/*::]*/: { n:"BrtExternCellBlank", f:parsenoop },
	/*::[*/0x0170/*::]*/: { n:"BrtExternCellReal", f:parsenoop },
	/*::[*/0x0171/*::]*/: { n:"BrtExternCellBool", f:parsenoop },
	/*::[*/0x0172/*::]*/: { n:"BrtExternCellError", f:parsenoop },
	/*::[*/0x0173/*::]*/: { n:"BrtExternCellString", f:parsenoop },
	/*::[*/0x0174/*::]*/: { n:"BrtBeginEsmdx", f:parsenoop },
	/*::[*/0x0175/*::]*/: { n:"BrtEndEsmdx", f:parsenoop },
	/*::[*/0x0176/*::]*/: { n:"BrtBeginMdxSet", f:parsenoop },
	/*::[*/0x0177/*::]*/: { n:"BrtEndMdxSet", f:parsenoop },
	/*::[*/0x0178/*::]*/: { n:"BrtBeginMdxMbrProp", f:parsenoop },
	/*::[*/0x0179/*::]*/: { n:"BrtEndMdxMbrProp", f:parsenoop },
	/*::[*/0x017A/*::]*/: { n:"BrtBeginMdxKPI", f:parsenoop },
	/*::[*/0x017B/*::]*/: { n:"BrtEndMdxKPI", f:parsenoop },
	/*::[*/0x017C/*::]*/: { n:"BrtBeginEsstr", f:parsenoop },
	/*::[*/0x017D/*::]*/: { n:"BrtEndEsstr", f:parsenoop },
	/*::[*/0x017E/*::]*/: { n:"BrtBeginPRFItem", f:parsenoop },
	/*::[*/0x017F/*::]*/: { n:"BrtEndPRFItem", f:parsenoop },
	/*::[*/0x0180/*::]*/: { n:"BrtBeginPivotCacheIDs", f:parsenoop },
	/*::[*/0x0181/*::]*/: { n:"BrtEndPivotCacheIDs", f:parsenoop },
	/*::[*/0x0182/*::]*/: { n:"BrtBeginPivotCacheID", f:parsenoop },
	/*::[*/0x0183/*::]*/: { n:"BrtEndPivotCacheID", f:parsenoop },
	/*::[*/0x0184/*::]*/: { n:"BrtBeginISXVIs", f:parsenoop },
	/*::[*/0x0185/*::]*/: { n:"BrtEndISXVIs", f:parsenoop },
	/*::[*/0x0186/*::]*/: { n:"BrtBeginColInfos", f:parsenoop },
	/*::[*/0x0187/*::]*/: { n:"BrtEndColInfos", f:parsenoop },
	/*::[*/0x0188/*::]*/: { n:"BrtBeginRwBrk", f:parsenoop },
	/*::[*/0x0189/*::]*/: { n:"BrtEndRwBrk", f:parsenoop },
	/*::[*/0x018A/*::]*/: { n:"BrtBeginColBrk", f:parsenoop },
	/*::[*/0x018B/*::]*/: { n:"BrtEndColBrk", f:parsenoop },
	/*::[*/0x018C/*::]*/: { n:"BrtBrk", f:parsenoop },
	/*::[*/0x018D/*::]*/: { n:"BrtUserBookView", f:parsenoop },
	/*::[*/0x018E/*::]*/: { n:"BrtInfo", f:parsenoop },
	/*::[*/0x018F/*::]*/: { n:"BrtCUsr", f:parsenoop },
	/*::[*/0x0190/*::]*/: { n:"BrtUsr", f:parsenoop },
	/*::[*/0x0191/*::]*/: { n:"BrtBeginUsers", f:parsenoop },
	/*::[*/0x0193/*::]*/: { n:"BrtEOF", f:parsenoop },
	/*::[*/0x0194/*::]*/: { n:"BrtUCR", f:parsenoop },
	/*::[*/0x0195/*::]*/: { n:"BrtRRInsDel", f:parsenoop },
	/*::[*/0x0196/*::]*/: { n:"BrtRREndInsDel", f:parsenoop },
	/*::[*/0x0197/*::]*/: { n:"BrtRRMove", f:parsenoop },
	/*::[*/0x0198/*::]*/: { n:"BrtRREndMove", f:parsenoop },
	/*::[*/0x0199/*::]*/: { n:"BrtRRChgCell", f:parsenoop },
	/*::[*/0x019A/*::]*/: { n:"BrtRREndChgCell", f:parsenoop },
	/*::[*/0x019B/*::]*/: { n:"BrtRRHeader", f:parsenoop },
	/*::[*/0x019C/*::]*/: { n:"BrtRRUserView", f:parsenoop },
	/*::[*/0x019D/*::]*/: { n:"BrtRRRenSheet", f:parsenoop },
	/*::[*/0x019E/*::]*/: { n:"BrtRRInsertSh", f:parsenoop },
	/*::[*/0x019F/*::]*/: { n:"BrtRRDefName", f:parsenoop },
	/*::[*/0x01A0/*::]*/: { n:"BrtRRNote", f:parsenoop },
	/*::[*/0x01A1/*::]*/: { n:"BrtRRConflict", f:parsenoop },
	/*::[*/0x01A2/*::]*/: { n:"BrtRRTQSIF", f:parsenoop },
	/*::[*/0x01A3/*::]*/: { n:"BrtRRFormat", f:parsenoop },
	/*::[*/0x01A4/*::]*/: { n:"BrtRREndFormat", f:parsenoop },
	/*::[*/0x01A5/*::]*/: { n:"BrtRRAutoFmt", f:parsenoop },
	/*::[*/0x01A6/*::]*/: { n:"BrtBeginUserShViews", f:parsenoop },
	/*::[*/0x01A7/*::]*/: { n:"BrtBeginUserShView", f:parsenoop },
	/*::[*/0x01A8/*::]*/: { n:"BrtEndUserShView", f:parsenoop },
	/*::[*/0x01A9/*::]*/: { n:"BrtEndUserShViews", f:parsenoop },
	/*::[*/0x01AA/*::]*/: { n:"BrtArrFmla", f:parse_BrtArrFmla },
	/*::[*/0x01AB/*::]*/: { n:"BrtShrFmla", f:parse_BrtShrFmla },
	/*::[*/0x01AC/*::]*/: { n:"BrtTable", f:parsenoop },
	/*::[*/0x01AD/*::]*/: { n:"BrtBeginExtConnections", f:parsenoop },
	/*::[*/0x01AE/*::]*/: { n:"BrtEndExtConnections", f:parsenoop },
	/*::[*/0x01AF/*::]*/: { n:"BrtBeginPCDCalcMems", f:parsenoop },
	/*::[*/0x01B0/*::]*/: { n:"BrtEndPCDCalcMems", f:parsenoop },
	/*::[*/0x01B1/*::]*/: { n:"BrtBeginPCDCalcMem", f:parsenoop },
	/*::[*/0x01B2/*::]*/: { n:"BrtEndPCDCalcMem", f:parsenoop },
	/*::[*/0x01B3/*::]*/: { n:"BrtBeginPCDHGLevels", f:parsenoop },
	/*::[*/0x01B4/*::]*/: { n:"BrtEndPCDHGLevels", f:parsenoop },
	/*::[*/0x01B5/*::]*/: { n:"BrtBeginPCDHGLevel", f:parsenoop },
	/*::[*/0x01B6/*::]*/: { n:"BrtEndPCDHGLevel", f:parsenoop },
	/*::[*/0x01B7/*::]*/: { n:"BrtBeginPCDHGLGroups", f:parsenoop },
	/*::[*/0x01B8/*::]*/: { n:"BrtEndPCDHGLGroups", f:parsenoop },
	/*::[*/0x01B9/*::]*/: { n:"BrtBeginPCDHGLGroup", f:parsenoop },
	/*::[*/0x01BA/*::]*/: { n:"BrtEndPCDHGLGroup", f:parsenoop },
	/*::[*/0x01BB/*::]*/: { n:"BrtBeginPCDHGLGMembers", f:parsenoop },
	/*::[*/0x01BC/*::]*/: { n:"BrtEndPCDHGLGMembers", f:parsenoop },
	/*::[*/0x01BD/*::]*/: { n:"BrtBeginPCDHGLGMember", f:parsenoop },
	/*::[*/0x01BE/*::]*/: { n:"BrtEndPCDHGLGMember", f:parsenoop },
	/*::[*/0x01BF/*::]*/: { n:"BrtBeginQSI", f:parsenoop },
	/*::[*/0x01C0/*::]*/: { n:"BrtEndQSI", f:parsenoop },
	/*::[*/0x01C1/*::]*/: { n:"BrtBeginQSIR", f:parsenoop },
	/*::[*/0x01C2/*::]*/: { n:"BrtEndQSIR", f:parsenoop },
	/*::[*/0x01C3/*::]*/: { n:"BrtBeginDeletedNames", f:parsenoop },
	/*::[*/0x01C4/*::]*/: { n:"BrtEndDeletedNames", f:parsenoop },
	/*::[*/0x01C5/*::]*/: { n:"BrtBeginDeletedName", f:parsenoop },
	/*::[*/0x01C6/*::]*/: { n:"BrtEndDeletedName", f:parsenoop },
	/*::[*/0x01C7/*::]*/: { n:"BrtBeginQSIFs", f:parsenoop },
	/*::[*/0x01C8/*::]*/: { n:"BrtEndQSIFs", f:parsenoop },
	/*::[*/0x01C9/*::]*/: { n:"BrtBeginQSIF", f:parsenoop },
	/*::[*/0x01CA/*::]*/: { n:"BrtEndQSIF", f:parsenoop },
	/*::[*/0x01CB/*::]*/: { n:"BrtBeginAutoSortScope", f:parsenoop },
	/*::[*/0x01CC/*::]*/: { n:"BrtEndAutoSortScope", f:parsenoop },
	/*::[*/0x01CD/*::]*/: { n:"BrtBeginConditionalFormatting", f:parsenoop },
	/*::[*/0x01CE/*::]*/: { n:"BrtEndConditionalFormatting", f:parsenoop },
	/*::[*/0x01CF/*::]*/: { n:"BrtBeginCFRule", f:parsenoop },
	/*::[*/0x01D0/*::]*/: { n:"BrtEndCFRule", f:parsenoop },
	/*::[*/0x01D1/*::]*/: { n:"BrtBeginIconSet", f:parsenoop },
	/*::[*/0x01D2/*::]*/: { n:"BrtEndIconSet", f:parsenoop },
	/*::[*/0x01D3/*::]*/: { n:"BrtBeginDatabar", f:parsenoop },
	/*::[*/0x01D4/*::]*/: { n:"BrtEndDatabar", f:parsenoop },
	/*::[*/0x01D5/*::]*/: { n:"BrtBeginColorScale", f:parsenoop },
	/*::[*/0x01D6/*::]*/: { n:"BrtEndColorScale", f:parsenoop },
	/*::[*/0x01D7/*::]*/: { n:"BrtCFVO", f:parsenoop },
	/*::[*/0x01D8/*::]*/: { n:"BrtExternValueMeta", f:parsenoop },
	/*::[*/0x01D9/*::]*/: { n:"BrtBeginColorPalette", f:parsenoop },
	/*::[*/0x01DA/*::]*/: { n:"BrtEndColorPalette", f:parsenoop },
	/*::[*/0x01DB/*::]*/: { n:"BrtIndexedColor", f:parsenoop },
	/*::[*/0x01DC/*::]*/: { n:"BrtMargins", f:parsenoop },
	/*::[*/0x01DD/*::]*/: { n:"BrtPrintOptions", f:parsenoop },
	/*::[*/0x01DE/*::]*/: { n:"BrtPageSetup", f:parsenoop },
	/*::[*/0x01DF/*::]*/: { n:"BrtBeginHeaderFooter", f:parsenoop },
	/*::[*/0x01E0/*::]*/: { n:"BrtEndHeaderFooter", f:parsenoop },
	/*::[*/0x01E1/*::]*/: { n:"BrtBeginSXCrtFormat", f:parsenoop },
	/*::[*/0x01E2/*::]*/: { n:"BrtEndSXCrtFormat", f:parsenoop },
	/*::[*/0x01E3/*::]*/: { n:"BrtBeginSXCrtFormats", f:parsenoop },
	/*::[*/0x01E4/*::]*/: { n:"BrtEndSXCrtFormats", f:parsenoop },
	/*::[*/0x01E5/*::]*/: { n:"BrtWsFmtInfo", f:parsenoop },
	/*::[*/0x01E6/*::]*/: { n:"BrtBeginMgs", f:parsenoop },
	/*::[*/0x01E7/*::]*/: { n:"BrtEndMGs", f:parsenoop },
	/*::[*/0x01E8/*::]*/: { n:"BrtBeginMGMaps", f:parsenoop },
	/*::[*/0x01E9/*::]*/: { n:"BrtEndMGMaps", f:parsenoop },
	/*::[*/0x01EA/*::]*/: { n:"BrtBeginMG", f:parsenoop },
	/*::[*/0x01EB/*::]*/: { n:"BrtEndMG", f:parsenoop },
	/*::[*/0x01EC/*::]*/: { n:"BrtBeginMap", f:parsenoop },
	/*::[*/0x01ED/*::]*/: { n:"BrtEndMap", f:parsenoop },
	/*::[*/0x01EE/*::]*/: { n:"BrtHLink", f:parse_BrtHLink },
	/*::[*/0x01EF/*::]*/: { n:"BrtBeginDCon", f:parsenoop },
	/*::[*/0x01F0/*::]*/: { n:"BrtEndDCon", f:parsenoop },
	/*::[*/0x01F1/*::]*/: { n:"BrtBeginDRefs", f:parsenoop },
	/*::[*/0x01F2/*::]*/: { n:"BrtEndDRefs", f:parsenoop },
	/*::[*/0x01F3/*::]*/: { n:"BrtDRef", f:parsenoop },
	/*::[*/0x01F4/*::]*/: { n:"BrtBeginScenMan", f:parsenoop },
	/*::[*/0x01F5/*::]*/: { n:"BrtEndScenMan", f:parsenoop },
	/*::[*/0x01F6/*::]*/: { n:"BrtBeginSct", f:parsenoop },
	/*::[*/0x01F7/*::]*/: { n:"BrtEndSct", f:parsenoop },
	/*::[*/0x01F8/*::]*/: { n:"BrtSlc", f:parsenoop },
	/*::[*/0x01F9/*::]*/: { n:"BrtBeginDXFs", f:parsenoop },
	/*::[*/0x01FA/*::]*/: { n:"BrtEndDXFs", f:parsenoop },
	/*::[*/0x01FB/*::]*/: { n:"BrtDXF", f:parsenoop },
	/*::[*/0x01FC/*::]*/: { n:"BrtBeginTableStyles", f:parsenoop },
	/*::[*/0x01FD/*::]*/: { n:"BrtEndTableStyles", f:parsenoop },
	/*::[*/0x01FE/*::]*/: { n:"BrtBeginTableStyle", f:parsenoop },
	/*::[*/0x01FF/*::]*/: { n:"BrtEndTableStyle", f:parsenoop },
	/*::[*/0x0200/*::]*/: { n:"BrtTableStyleElement", f:parsenoop },
	/*::[*/0x0201/*::]*/: { n:"BrtTableStyleClient", f:parsenoop },
	/*::[*/0x0202/*::]*/: { n:"BrtBeginVolDeps", f:parsenoop },
	/*::[*/0x0203/*::]*/: { n:"BrtEndVolDeps", f:parsenoop },
	/*::[*/0x0204/*::]*/: { n:"BrtBeginVolType", f:parsenoop },
	/*::[*/0x0205/*::]*/: { n:"BrtEndVolType", f:parsenoop },
	/*::[*/0x0206/*::]*/: { n:"BrtBeginVolMain", f:parsenoop },
	/*::[*/0x0207/*::]*/: { n:"BrtEndVolMain", f:parsenoop },
	/*::[*/0x0208/*::]*/: { n:"BrtBeginVolTopic", f:parsenoop },
	/*::[*/0x0209/*::]*/: { n:"BrtEndVolTopic", f:parsenoop },
	/*::[*/0x020A/*::]*/: { n:"BrtVolSubtopic", f:parsenoop },
	/*::[*/0x020B/*::]*/: { n:"BrtVolRef", f:parsenoop },
	/*::[*/0x020C/*::]*/: { n:"BrtVolNum", f:parsenoop },
	/*::[*/0x020D/*::]*/: { n:"BrtVolErr", f:parsenoop },
	/*::[*/0x020E/*::]*/: { n:"BrtVolStr", f:parsenoop },
	/*::[*/0x020F/*::]*/: { n:"BrtVolBool", f:parsenoop },
	/*::[*/0x0210/*::]*/: { n:"BrtBeginCalcChain$", f:parsenoop },
	/*::[*/0x0211/*::]*/: { n:"BrtEndCalcChain$", f:parsenoop },
	/*::[*/0x0212/*::]*/: { n:"BrtBeginSortState", f:parsenoop },
	/*::[*/0x0213/*::]*/: { n:"BrtEndSortState", f:parsenoop },
	/*::[*/0x0214/*::]*/: { n:"BrtBeginSortCond", f:parsenoop },
	/*::[*/0x0215/*::]*/: { n:"BrtEndSortCond", f:parsenoop },
	/*::[*/0x0216/*::]*/: { n:"BrtBookProtection", f:parsenoop },
	/*::[*/0x0217/*::]*/: { n:"BrtSheetProtection", f:parsenoop },
	/*::[*/0x0218/*::]*/: { n:"BrtRangeProtection", f:parsenoop },
	/*::[*/0x0219/*::]*/: { n:"BrtPhoneticInfo", f:parsenoop },
	/*::[*/0x021A/*::]*/: { n:"BrtBeginECTxtWiz", f:parsenoop },
	/*::[*/0x021B/*::]*/: { n:"BrtEndECTxtWiz", f:parsenoop },
	/*::[*/0x021C/*::]*/: { n:"BrtBeginECTWFldInfoLst", f:parsenoop },
	/*::[*/0x021D/*::]*/: { n:"BrtEndECTWFldInfoLst", f:parsenoop },
	/*::[*/0x021E/*::]*/: { n:"BrtBeginECTwFldInfo", f:parsenoop },
	/*::[*/0x0224/*::]*/: { n:"BrtFileSharing", f:parsenoop },
	/*::[*/0x0225/*::]*/: { n:"BrtOleSize", f:parsenoop },
	/*::[*/0x0226/*::]*/: { n:"BrtDrawing", f:parse_RelID },
	/*::[*/0x0227/*::]*/: { n:"BrtLegacyDrawing", f:parsenoop },
	/*::[*/0x0228/*::]*/: { n:"BrtLegacyDrawingHF", f:parsenoop },
	/*::[*/0x0229/*::]*/: { n:"BrtWebOpt", f:parsenoop },
	/*::[*/0x022A/*::]*/: { n:"BrtBeginWebPubItems", f:parsenoop },
	/*::[*/0x022B/*::]*/: { n:"BrtEndWebPubItems", f:parsenoop },
	/*::[*/0x022C/*::]*/: { n:"BrtBeginWebPubItem", f:parsenoop },
	/*::[*/0x022D/*::]*/: { n:"BrtEndWebPubItem", f:parsenoop },
	/*::[*/0x022E/*::]*/: { n:"BrtBeginSXCondFmt", f:parsenoop },
	/*::[*/0x022F/*::]*/: { n:"BrtEndSXCondFmt", f:parsenoop },
	/*::[*/0x0230/*::]*/: { n:"BrtBeginSXCondFmts", f:parsenoop },
	/*::[*/0x0231/*::]*/: { n:"BrtEndSXCondFmts", f:parsenoop },
	/*::[*/0x0232/*::]*/: { n:"BrtBkHim", f:parsenoop },
	/*::[*/0x0234/*::]*/: { n:"BrtColor", f:parsenoop },
	/*::[*/0x0235/*::]*/: { n:"BrtBeginIndexedColors", f:parsenoop },
	/*::[*/0x0236/*::]*/: { n:"BrtEndIndexedColors", f:parsenoop },
	/*::[*/0x0239/*::]*/: { n:"BrtBeginMRUColors", f:parsenoop },
	/*::[*/0x023A/*::]*/: { n:"BrtEndMRUColors", f:parsenoop },
	/*::[*/0x023C/*::]*/: { n:"BrtMRUColor", f:parsenoop },
	/*::[*/0x023D/*::]*/: { n:"BrtBeginDVals", f:parsenoop },
	/*::[*/0x023E/*::]*/: { n:"BrtEndDVals", f:parsenoop },
	/*::[*/0x0241/*::]*/: { n:"BrtSupNameStart", f:parsenoop },
	/*::[*/0x0242/*::]*/: { n:"BrtSupNameValueStart", f:parsenoop },
	/*::[*/0x0243/*::]*/: { n:"BrtSupNameValueEnd", f:parsenoop },
	/*::[*/0x0244/*::]*/: { n:"BrtSupNameNum", f:parsenoop },
	/*::[*/0x0245/*::]*/: { n:"BrtSupNameErr", f:parsenoop },
	/*::[*/0x0246/*::]*/: { n:"BrtSupNameSt", f:parsenoop },
	/*::[*/0x0247/*::]*/: { n:"BrtSupNameNil", f:parsenoop },
	/*::[*/0x0248/*::]*/: { n:"BrtSupNameBool", f:parsenoop },
	/*::[*/0x0249/*::]*/: { n:"BrtSupNameFmla", f:parsenoop },
	/*::[*/0x024A/*::]*/: { n:"BrtSupNameBits", f:parsenoop },
	/*::[*/0x024B/*::]*/: { n:"BrtSupNameEnd", f:parsenoop },
	/*::[*/0x024C/*::]*/: { n:"BrtEndSupBook", f:parsenoop },
	/*::[*/0x024D/*::]*/: { n:"BrtCellSmartTagProperty", f:parsenoop },
	/*::[*/0x024E/*::]*/: { n:"BrtBeginCellSmartTag", f:parsenoop },
	/*::[*/0x024F/*::]*/: { n:"BrtEndCellSmartTag", f:parsenoop },
	/*::[*/0x0250/*::]*/: { n:"BrtBeginCellSmartTags", f:parsenoop },
	/*::[*/0x0251/*::]*/: { n:"BrtEndCellSmartTags", f:parsenoop },
	/*::[*/0x0252/*::]*/: { n:"BrtBeginSmartTags", f:parsenoop },
	/*::[*/0x0253/*::]*/: { n:"BrtEndSmartTags", f:parsenoop },
	/*::[*/0x0254/*::]*/: { n:"BrtSmartTagType", f:parsenoop },
	/*::[*/0x0255/*::]*/: { n:"BrtBeginSmartTagTypes", f:parsenoop },
	/*::[*/0x0256/*::]*/: { n:"BrtEndSmartTagTypes", f:parsenoop },
	/*::[*/0x0257/*::]*/: { n:"BrtBeginSXFilters", f:parsenoop },
	/*::[*/0x0258/*::]*/: { n:"BrtEndSXFilters", f:parsenoop },
	/*::[*/0x0259/*::]*/: { n:"BrtBeginSXFILTER", f:parsenoop },
	/*::[*/0x025A/*::]*/: { n:"BrtEndSXFilter", f:parsenoop },
	/*::[*/0x025B/*::]*/: { n:"BrtBeginFills", f:parsenoop },
	/*::[*/0x025C/*::]*/: { n:"BrtEndFills", f:parsenoop },
	/*::[*/0x025D/*::]*/: { n:"BrtBeginCellWatches", f:parsenoop },
	/*::[*/0x025E/*::]*/: { n:"BrtEndCellWatches", f:parsenoop },
	/*::[*/0x025F/*::]*/: { n:"BrtCellWatch", f:parsenoop },
	/*::[*/0x0260/*::]*/: { n:"BrtBeginCRErrs", f:parsenoop },
	/*::[*/0x0261/*::]*/: { n:"BrtEndCRErrs", f:parsenoop },
	/*::[*/0x0262/*::]*/: { n:"BrtCrashRecErr", f:parsenoop },
	/*::[*/0x0263/*::]*/: { n:"BrtBeginFonts", f:parsenoop },
	/*::[*/0x0264/*::]*/: { n:"BrtEndFonts", f:parsenoop },
	/*::[*/0x0265/*::]*/: { n:"BrtBeginBorders", f:parsenoop },
	/*::[*/0x0266/*::]*/: { n:"BrtEndBorders", f:parsenoop },
	/*::[*/0x0267/*::]*/: { n:"BrtBeginFmts", f:parsenoop },
	/*::[*/0x0268/*::]*/: { n:"BrtEndFmts", f:parsenoop },
	/*::[*/0x0269/*::]*/: { n:"BrtBeginCellXFs", f:parsenoop },
	/*::[*/0x026A/*::]*/: { n:"BrtEndCellXFs", f:parsenoop },
	/*::[*/0x026B/*::]*/: { n:"BrtBeginStyles", f:parsenoop },
	/*::[*/0x026C/*::]*/: { n:"BrtEndStyles", f:parsenoop },
	/*::[*/0x0271/*::]*/: { n:"BrtBigName", f:parsenoop },
	/*::[*/0x0272/*::]*/: { n:"BrtBeginCellStyleXFs", f:parsenoop },
	/*::[*/0x0273/*::]*/: { n:"BrtEndCellStyleXFs", f:parsenoop },
	/*::[*/0x0274/*::]*/: { n:"BrtBeginComments", f:parsenoop },
	/*::[*/0x0275/*::]*/: { n:"BrtEndComments", f:parsenoop },
	/*::[*/0x0276/*::]*/: { n:"BrtBeginCommentAuthors", f:parsenoop },
	/*::[*/0x0277/*::]*/: { n:"BrtEndCommentAuthors", f:parsenoop },
	/*::[*/0x0278/*::]*/: { n:"BrtCommentAuthor", f:parse_BrtCommentAuthor },
	/*::[*/0x0279/*::]*/: { n:"BrtBeginCommentList", f:parsenoop },
	/*::[*/0x027A/*::]*/: { n:"BrtEndCommentList", f:parsenoop },
	/*::[*/0x027B/*::]*/: { n:"BrtBeginComment", f:parse_BrtBeginComment},
	/*::[*/0x027C/*::]*/: { n:"BrtEndComment", f:parsenoop },
	/*::[*/0x027D/*::]*/: { n:"BrtCommentText", f:parse_BrtCommentText },
	/*::[*/0x027E/*::]*/: { n:"BrtBeginOleObjects", f:parsenoop },
	/*::[*/0x027F/*::]*/: { n:"BrtOleObject", f:parsenoop },
	/*::[*/0x0280/*::]*/: { n:"BrtEndOleObjects", f:parsenoop },
	/*::[*/0x0281/*::]*/: { n:"BrtBeginSxrules", f:parsenoop },
	/*::[*/0x0282/*::]*/: { n:"BrtEndSxRules", f:parsenoop },
	/*::[*/0x0283/*::]*/: { n:"BrtBeginActiveXControls", f:parsenoop },
	/*::[*/0x0284/*::]*/: { n:"BrtActiveX", f:parsenoop },
	/*::[*/0x0285/*::]*/: { n:"BrtEndActiveXControls", f:parsenoop },
	/*::[*/0x0286/*::]*/: { n:"BrtBeginPCDSDTCEMembersSortBy", f:parsenoop },
	/*::[*/0x0288/*::]*/: { n:"BrtBeginCellIgnoreECs", f:parsenoop },
	/*::[*/0x0289/*::]*/: { n:"BrtCellIgnoreEC", f:parsenoop },
	/*::[*/0x028A/*::]*/: { n:"BrtEndCellIgnoreECs", f:parsenoop },
	/*::[*/0x028B/*::]*/: { n:"BrtCsProp", f:parsenoop },
	/*::[*/0x028C/*::]*/: { n:"BrtCsPageSetup", f:parsenoop },
	/*::[*/0x028D/*::]*/: { n:"BrtBeginUserCsViews", f:parsenoop },
	/*::[*/0x028E/*::]*/: { n:"BrtEndUserCsViews", f:parsenoop },
	/*::[*/0x028F/*::]*/: { n:"BrtBeginUserCsView", f:parsenoop },
	/*::[*/0x0290/*::]*/: { n:"BrtEndUserCsView", f:parsenoop },
	/*::[*/0x0291/*::]*/: { n:"BrtBeginPcdSFCIEntries", f:parsenoop },
	/*::[*/0x0292/*::]*/: { n:"BrtEndPCDSFCIEntries", f:parsenoop },
	/*::[*/0x0293/*::]*/: { n:"BrtPCDSFCIEntry", f:parsenoop },
	/*::[*/0x0294/*::]*/: { n:"BrtBeginListParts", f:parsenoop },
	/*::[*/0x0295/*::]*/: { n:"BrtListPart", f:parsenoop },
	/*::[*/0x0296/*::]*/: { n:"BrtEndListParts", f:parsenoop },
	/*::[*/0x0297/*::]*/: { n:"BrtSheetCalcProp", f:parsenoop },
	/*::[*/0x0298/*::]*/: { n:"BrtBeginFnGroup", f:parsenoop },
	/*::[*/0x0299/*::]*/: { n:"BrtFnGroup", f:parsenoop },
	/*::[*/0x029A/*::]*/: { n:"BrtEndFnGroup", f:parsenoop },
	/*::[*/0x029B/*::]*/: { n:"BrtSupAddin", f:parsenoop },
	/*::[*/0x029C/*::]*/: { n:"BrtSXTDMPOrder", f:parsenoop },
	/*::[*/0x029D/*::]*/: { n:"BrtCsProtection", f:parsenoop },
	/*::[*/0x029F/*::]*/: { n:"BrtBeginWsSortMap", f:parsenoop },
	/*::[*/0x02A0/*::]*/: { n:"BrtEndWsSortMap", f:parsenoop },
	/*::[*/0x02A1/*::]*/: { n:"BrtBeginRRSort", f:parsenoop },
	/*::[*/0x02A2/*::]*/: { n:"BrtEndRRSort", f:parsenoop },
	/*::[*/0x02A3/*::]*/: { n:"BrtRRSortItem", f:parsenoop },
	/*::[*/0x02A4/*::]*/: { n:"BrtFileSharingIso", f:parsenoop },
	/*::[*/0x02A5/*::]*/: { n:"BrtBookProtectionIso", f:parsenoop },
	/*::[*/0x02A6/*::]*/: { n:"BrtSheetProtectionIso", f:parsenoop },
	/*::[*/0x02A7/*::]*/: { n:"BrtCsProtectionIso", f:parsenoop },
	/*::[*/0x02A8/*::]*/: { n:"BrtRangeProtectionIso", f:parsenoop },
	/*::[*/0x0400/*::]*/: { n:"BrtRwDescent", f:parsenoop },
	/*::[*/0x0401/*::]*/: { n:"BrtKnownFonts", f:parsenoop },
	/*::[*/0x0402/*::]*/: { n:"BrtBeginSXTupleSet", f:parsenoop },
	/*::[*/0x0403/*::]*/: { n:"BrtEndSXTupleSet", f:parsenoop },
	/*::[*/0x0404/*::]*/: { n:"BrtBeginSXTupleSetHeader", f:parsenoop },
	/*::[*/0x0405/*::]*/: { n:"BrtEndSXTupleSetHeader", f:parsenoop },
	/*::[*/0x0406/*::]*/: { n:"BrtSXTupleSetHeaderItem", f:parsenoop },
	/*::[*/0x0407/*::]*/: { n:"BrtBeginSXTupleSetData", f:parsenoop },
	/*::[*/0x0408/*::]*/: { n:"BrtEndSXTupleSetData", f:parsenoop },
	/*::[*/0x0409/*::]*/: { n:"BrtBeginSXTupleSetRow", f:parsenoop },
	/*::[*/0x040A/*::]*/: { n:"BrtEndSXTupleSetRow", f:parsenoop },
	/*::[*/0x040B/*::]*/: { n:"BrtSXTupleSetRowItem", f:parsenoop },
	/*::[*/0x040C/*::]*/: { n:"BrtNameExt", f:parsenoop },
	/*::[*/0x040D/*::]*/: { n:"BrtPCDH14", f:parsenoop },
	/*::[*/0x040E/*::]*/: { n:"BrtBeginPCDCalcMem14", f:parsenoop },
	/*::[*/0x040F/*::]*/: { n:"BrtEndPCDCalcMem14", f:parsenoop },
	/*::[*/0x0410/*::]*/: { n:"BrtSXTH14", f:parsenoop },
	/*::[*/0x0411/*::]*/: { n:"BrtBeginSparklineGroup", f:parsenoop },
	/*::[*/0x0412/*::]*/: { n:"BrtEndSparklineGroup", f:parsenoop },
	/*::[*/0x0413/*::]*/: { n:"BrtSparkline", f:parsenoop },
	/*::[*/0x0414/*::]*/: { n:"BrtSXDI14", f:parsenoop },
	/*::[*/0x0415/*::]*/: { n:"BrtWsFmtInfoEx14", f:parsenoop },
	/*::[*/0x0416/*::]*/: { n:"BrtBeginConditionalFormatting14", f:parsenoop },
	/*::[*/0x0417/*::]*/: { n:"BrtEndConditionalFormatting14", f:parsenoop },
	/*::[*/0x0418/*::]*/: { n:"BrtBeginCFRule14", f:parsenoop },
	/*::[*/0x0419/*::]*/: { n:"BrtEndCFRule14", f:parsenoop },
	/*::[*/0x041A/*::]*/: { n:"BrtCFVO14", f:parsenoop },
	/*::[*/0x041B/*::]*/: { n:"BrtBeginDatabar14", f:parsenoop },
	/*::[*/0x041C/*::]*/: { n:"BrtBeginIconSet14", f:parsenoop },
	/*::[*/0x041D/*::]*/: { n:"BrtDVal14", f:parsenoop },
	/*::[*/0x041E/*::]*/: { n:"BrtBeginDVals14", f:parsenoop },
	/*::[*/0x041F/*::]*/: { n:"BrtColor14", f:parsenoop },
	/*::[*/0x0420/*::]*/: { n:"BrtBeginSparklines", f:parsenoop },
	/*::[*/0x0421/*::]*/: { n:"BrtEndSparklines", f:parsenoop },
	/*::[*/0x0422/*::]*/: { n:"BrtBeginSparklineGroups", f:parsenoop },
	/*::[*/0x0423/*::]*/: { n:"BrtEndSparklineGroups", f:parsenoop },
	/*::[*/0x0425/*::]*/: { n:"BrtSXVD14", f:parsenoop },
	/*::[*/0x0426/*::]*/: { n:"BrtBeginSxview14", f:parsenoop },
	/*::[*/0x0427/*::]*/: { n:"BrtEndSxview14", f:parsenoop },
	/*::[*/0x042A/*::]*/: { n:"BrtBeginPCD14", f:parsenoop },
	/*::[*/0x042B/*::]*/: { n:"BrtEndPCD14", f:parsenoop },
	/*::[*/0x042C/*::]*/: { n:"BrtBeginExtConn14", f:parsenoop },
	/*::[*/0x042D/*::]*/: { n:"BrtEndExtConn14", f:parsenoop },
	/*::[*/0x042E/*::]*/: { n:"BrtBeginSlicerCacheIDs", f:parsenoop },
	/*::[*/0x042F/*::]*/: { n:"BrtEndSlicerCacheIDs", f:parsenoop },
	/*::[*/0x0430/*::]*/: { n:"BrtBeginSlicerCacheID", f:parsenoop },
	/*::[*/0x0431/*::]*/: { n:"BrtEndSlicerCacheID", f:parsenoop },
	/*::[*/0x0433/*::]*/: { n:"BrtBeginSlicerCache", f:parsenoop },
	/*::[*/0x0434/*::]*/: { n:"BrtEndSlicerCache", f:parsenoop },
	/*::[*/0x0435/*::]*/: { n:"BrtBeginSlicerCacheDef", f:parsenoop },
	/*::[*/0x0436/*::]*/: { n:"BrtEndSlicerCacheDef", f:parsenoop },
	/*::[*/0x0437/*::]*/: { n:"BrtBeginSlicersEx", f:parsenoop },
	/*::[*/0x0438/*::]*/: { n:"BrtEndSlicersEx", f:parsenoop },
	/*::[*/0x0439/*::]*/: { n:"BrtBeginSlicerEx", f:parsenoop },
	/*::[*/0x043A/*::]*/: { n:"BrtEndSlicerEx", f:parsenoop },
	/*::[*/0x043B/*::]*/: { n:"BrtBeginSlicer", f:parsenoop },
	/*::[*/0x043C/*::]*/: { n:"BrtEndSlicer", f:parsenoop },
	/*::[*/0x043D/*::]*/: { n:"BrtSlicerCachePivotTables", f:parsenoop },
	/*::[*/0x043E/*::]*/: { n:"BrtBeginSlicerCacheOlapImpl", f:parsenoop },
	/*::[*/0x043F/*::]*/: { n:"BrtEndSlicerCacheOlapImpl", f:parsenoop },
	/*::[*/0x0440/*::]*/: { n:"BrtBeginSlicerCacheLevelsData", f:parsenoop },
	/*::[*/0x0441/*::]*/: { n:"BrtEndSlicerCacheLevelsData", f:parsenoop },
	/*::[*/0x0442/*::]*/: { n:"BrtBeginSlicerCacheLevelData", f:parsenoop },
	/*::[*/0x0443/*::]*/: { n:"BrtEndSlicerCacheLevelData", f:parsenoop },
	/*::[*/0x0444/*::]*/: { n:"BrtBeginSlicerCacheSiRanges", f:parsenoop },
	/*::[*/0x0445/*::]*/: { n:"BrtEndSlicerCacheSiRanges", f:parsenoop },
	/*::[*/0x0446/*::]*/: { n:"BrtBeginSlicerCacheSiRange", f:parsenoop },
	/*::[*/0x0447/*::]*/: { n:"BrtEndSlicerCacheSiRange", f:parsenoop },
	/*::[*/0x0448/*::]*/: { n:"BrtSlicerCacheOlapItem", f:parsenoop },
	/*::[*/0x0449/*::]*/: { n:"BrtBeginSlicerCacheSelections", f:parsenoop },
	/*::[*/0x044A/*::]*/: { n:"BrtSlicerCacheSelection", f:parsenoop },
	/*::[*/0x044B/*::]*/: { n:"BrtEndSlicerCacheSelections", f:parsenoop },
	/*::[*/0x044C/*::]*/: { n:"BrtBeginSlicerCacheNative", f:parsenoop },
	/*::[*/0x044D/*::]*/: { n:"BrtEndSlicerCacheNative", f:parsenoop },
	/*::[*/0x044E/*::]*/: { n:"BrtSlicerCacheNativeItem", f:parsenoop },
	/*::[*/0x044F/*::]*/: { n:"BrtRangeProtection14", f:parsenoop },
	/*::[*/0x0450/*::]*/: { n:"BrtRangeProtectionIso14", f:parsenoop },
	/*::[*/0x0451/*::]*/: { n:"BrtCellIgnoreEC14", f:parsenoop },
	/*::[*/0x0457/*::]*/: { n:"BrtList14", f:parsenoop },
	/*::[*/0x0458/*::]*/: { n:"BrtCFIcon", f:parsenoop },
	/*::[*/0x0459/*::]*/: { n:"BrtBeginSlicerCachesPivotCacheIDs", f:parsenoop },
	/*::[*/0x045A/*::]*/: { n:"BrtEndSlicerCachesPivotCacheIDs", f:parsenoop },
	/*::[*/0x045B/*::]*/: { n:"BrtBeginSlicers", f:parsenoop },
	/*::[*/0x045C/*::]*/: { n:"BrtEndSlicers", f:parsenoop },
	/*::[*/0x045D/*::]*/: { n:"BrtWbProp14", f:parsenoop },
	/*::[*/0x045E/*::]*/: { n:"BrtBeginSXEdit", f:parsenoop },
	/*::[*/0x045F/*::]*/: { n:"BrtEndSXEdit", f:parsenoop },
	/*::[*/0x0460/*::]*/: { n:"BrtBeginSXEdits", f:parsenoop },
	/*::[*/0x0461/*::]*/: { n:"BrtEndSXEdits", f:parsenoop },
	/*::[*/0x0462/*::]*/: { n:"BrtBeginSXChange", f:parsenoop },
	/*::[*/0x0463/*::]*/: { n:"BrtEndSXChange", f:parsenoop },
	/*::[*/0x0464/*::]*/: { n:"BrtBeginSXChanges", f:parsenoop },
	/*::[*/0x0465/*::]*/: { n:"BrtEndSXChanges", f:parsenoop },
	/*::[*/0x0466/*::]*/: { n:"BrtSXTupleItems", f:parsenoop },
	/*::[*/0x0468/*::]*/: { n:"BrtBeginSlicerStyle", f:parsenoop },
	/*::[*/0x0469/*::]*/: { n:"BrtEndSlicerStyle", f:parsenoop },
	/*::[*/0x046A/*::]*/: { n:"BrtSlicerStyleElement", f:parsenoop },
	/*::[*/0x046B/*::]*/: { n:"BrtBeginStyleSheetExt14", f:parsenoop },
	/*::[*/0x046C/*::]*/: { n:"BrtEndStyleSheetExt14", f:parsenoop },
	/*::[*/0x046D/*::]*/: { n:"BrtBeginSlicerCachesPivotCacheID", f:parsenoop },
	/*::[*/0x046E/*::]*/: { n:"BrtEndSlicerCachesPivotCacheID", f:parsenoop },
	/*::[*/0x046F/*::]*/: { n:"BrtBeginConditionalFormattings", f:parsenoop },
	/*::[*/0x0470/*::]*/: { n:"BrtEndConditionalFormattings", f:parsenoop },
	/*::[*/0x0471/*::]*/: { n:"BrtBeginPCDCalcMemExt", f:parsenoop },
	/*::[*/0x0472/*::]*/: { n:"BrtEndPCDCalcMemExt", f:parsenoop },
	/*::[*/0x0473/*::]*/: { n:"BrtBeginPCDCalcMemsExt", f:parsenoop },
	/*::[*/0x0474/*::]*/: { n:"BrtEndPCDCalcMemsExt", f:parsenoop },
	/*::[*/0x0475/*::]*/: { n:"BrtPCDField14", f:parsenoop },
	/*::[*/0x0476/*::]*/: { n:"BrtBeginSlicerStyles", f:parsenoop },
	/*::[*/0x0477/*::]*/: { n:"BrtEndSlicerStyles", f:parsenoop },
	/*::[*/0x0478/*::]*/: { n:"BrtBeginSlicerStyleElements", f:parsenoop },
	/*::[*/0x0479/*::]*/: { n:"BrtEndSlicerStyleElements", f:parsenoop },
	/*::[*/0x047A/*::]*/: { n:"BrtCFRuleExt", f:parsenoop },
	/*::[*/0x047B/*::]*/: { n:"BrtBeginSXCondFmt14", f:parsenoop },
	/*::[*/0x047C/*::]*/: { n:"BrtEndSXCondFmt14", f:parsenoop },
	/*::[*/0x047D/*::]*/: { n:"BrtBeginSXCondFmts14", f:parsenoop },
	/*::[*/0x047E/*::]*/: { n:"BrtEndSXCondFmts14", f:parsenoop },
	/*::[*/0x0480/*::]*/: { n:"BrtBeginSortCond14", f:parsenoop },
	/*::[*/0x0481/*::]*/: { n:"BrtEndSortCond14", f:parsenoop },
	/*::[*/0x0482/*::]*/: { n:"BrtEndDVals14", f:parsenoop },
	/*::[*/0x0483/*::]*/: { n:"BrtEndIconSet14", f:parsenoop },
	/*::[*/0x0484/*::]*/: { n:"BrtEndDatabar14", f:parsenoop },
	/*::[*/0x0485/*::]*/: { n:"BrtBeginColorScale14", f:parsenoop },
	/*::[*/0x0486/*::]*/: { n:"BrtEndColorScale14", f:parsenoop },
	/*::[*/0x0487/*::]*/: { n:"BrtBeginSxrules14", f:parsenoop },
	/*::[*/0x0488/*::]*/: { n:"BrtEndSxrules14", f:parsenoop },
	/*::[*/0x0489/*::]*/: { n:"BrtBeginPRule14", f:parsenoop },
	/*::[*/0x048A/*::]*/: { n:"BrtEndPRule14", f:parsenoop },
	/*::[*/0x048B/*::]*/: { n:"BrtBeginPRFilters14", f:parsenoop },
	/*::[*/0x048C/*::]*/: { n:"BrtEndPRFilters14", f:parsenoop },
	/*::[*/0x048D/*::]*/: { n:"BrtBeginPRFilter14", f:parsenoop },
	/*::[*/0x048E/*::]*/: { n:"BrtEndPRFilter14", f:parsenoop },
	/*::[*/0x048F/*::]*/: { n:"BrtBeginPRFItem14", f:parsenoop },
	/*::[*/0x0490/*::]*/: { n:"BrtEndPRFItem14", f:parsenoop },
	/*::[*/0x0491/*::]*/: { n:"BrtBeginCellIgnoreECs14", f:parsenoop },
	/*::[*/0x0492/*::]*/: { n:"BrtEndCellIgnoreECs14", f:parsenoop },
	/*::[*/0x0493/*::]*/: { n:"BrtDxf14", f:parsenoop },
	/*::[*/0x0494/*::]*/: { n:"BrtBeginDxF14s", f:parsenoop },
	/*::[*/0x0495/*::]*/: { n:"BrtEndDxf14s", f:parsenoop },
	/*::[*/0x0499/*::]*/: { n:"BrtFilter14", f:parsenoop },
	/*::[*/0x049A/*::]*/: { n:"BrtBeginCustomFilters14", f:parsenoop },
	/*::[*/0x049C/*::]*/: { n:"BrtCustomFilter14", f:parsenoop },
	/*::[*/0x049D/*::]*/: { n:"BrtIconFilter14", f:parsenoop },
	/*::[*/0x049E/*::]*/: { n:"BrtPivotCacheConnectionName", f:parsenoop },
	/*::[*/0x0800/*::]*/: { n:"BrtBeginDecoupledPivotCacheIDs", f:parsenoop },
	/*::[*/0x0801/*::]*/: { n:"BrtEndDecoupledPivotCacheIDs", f:parsenoop },
	/*::[*/0x0802/*::]*/: { n:"BrtDecoupledPivotCacheID", f:parsenoop },
	/*::[*/0x0803/*::]*/: { n:"BrtBeginPivotTableRefs", f:parsenoop },
	/*::[*/0x0804/*::]*/: { n:"BrtEndPivotTableRefs", f:parsenoop },
	/*::[*/0x0805/*::]*/: { n:"BrtPivotTableRef", f:parsenoop },
	/*::[*/0x0806/*::]*/: { n:"BrtSlicerCacheBookPivotTables", f:parsenoop },
	/*::[*/0x0807/*::]*/: { n:"BrtBeginSxvcells", f:parsenoop },
	/*::[*/0x0808/*::]*/: { n:"BrtEndSxvcells", f:parsenoop },
	/*::[*/0x0809/*::]*/: { n:"BrtBeginSxRow", f:parsenoop },
	/*::[*/0x080A/*::]*/: { n:"BrtEndSxRow", f:parsenoop },
	/*::[*/0x080C/*::]*/: { n:"BrtPcdCalcMem15", f:parsenoop },
	/*::[*/0x0813/*::]*/: { n:"BrtQsi15", f:parsenoop },
	/*::[*/0x0814/*::]*/: { n:"BrtBeginWebExtensions", f:parsenoop },
	/*::[*/0x0815/*::]*/: { n:"BrtEndWebExtensions", f:parsenoop },
	/*::[*/0x0816/*::]*/: { n:"BrtWebExtension", f:parsenoop },
	/*::[*/0x0817/*::]*/: { n:"BrtAbsPath15", f:parsenoop },
	/*::[*/0x0818/*::]*/: { n:"BrtBeginPivotTableUISettings", f:parsenoop },
	/*::[*/0x0819/*::]*/: { n:"BrtEndPivotTableUISettings", f:parsenoop },
	/*::[*/0x081B/*::]*/: { n:"BrtTableSlicerCacheIDs", f:parsenoop },
	/*::[*/0x081C/*::]*/: { n:"BrtTableSlicerCacheID", f:parsenoop },
	/*::[*/0x081D/*::]*/: { n:"BrtBeginTableSlicerCache", f:parsenoop },
	/*::[*/0x081E/*::]*/: { n:"BrtEndTableSlicerCache", f:parsenoop },
	/*::[*/0x081F/*::]*/: { n:"BrtSxFilter15", f:parsenoop },
	/*::[*/0x0820/*::]*/: { n:"BrtBeginTimelineCachePivotCacheIDs", f:parsenoop },
	/*::[*/0x0821/*::]*/: { n:"BrtEndTimelineCachePivotCacheIDs", f:parsenoop },
	/*::[*/0x0822/*::]*/: { n:"BrtTimelineCachePivotCacheID", f:parsenoop },
	/*::[*/0x0823/*::]*/: { n:"BrtBeginTimelineCacheIDs", f:parsenoop },
	/*::[*/0x0824/*::]*/: { n:"BrtEndTimelineCacheIDs", f:parsenoop },
	/*::[*/0x0825/*::]*/: { n:"BrtBeginTimelineCacheID", f:parsenoop },
	/*::[*/0x0826/*::]*/: { n:"BrtEndTimelineCacheID", f:parsenoop },
	/*::[*/0x0827/*::]*/: { n:"BrtBeginTimelinesEx", f:parsenoop },
	/*::[*/0x0828/*::]*/: { n:"BrtEndTimelinesEx", f:parsenoop },
	/*::[*/0x0829/*::]*/: { n:"BrtBeginTimelineEx", f:parsenoop },
	/*::[*/0x082A/*::]*/: { n:"BrtEndTimelineEx", f:parsenoop },
	/*::[*/0x082B/*::]*/: { n:"BrtWorkBookPr15", f:parsenoop },
	/*::[*/0x082C/*::]*/: { n:"BrtPCDH15", f:parsenoop },
	/*::[*/0x082D/*::]*/: { n:"BrtBeginTimelineStyle", f:parsenoop },
	/*::[*/0x082E/*::]*/: { n:"BrtEndTimelineStyle", f:parsenoop },
	/*::[*/0x082F/*::]*/: { n:"BrtTimelineStyleElement", f:parsenoop },
	/*::[*/0x0830/*::]*/: { n:"BrtBeginTimelineStylesheetExt15", f:parsenoop },
	/*::[*/0x0831/*::]*/: { n:"BrtEndTimelineStylesheetExt15", f:parsenoop },
	/*::[*/0x0832/*::]*/: { n:"BrtBeginTimelineStyles", f:parsenoop },
	/*::[*/0x0833/*::]*/: { n:"BrtEndTimelineStyles", f:parsenoop },
	/*::[*/0x0834/*::]*/: { n:"BrtBeginTimelineStyleElements", f:parsenoop },
	/*::[*/0x0835/*::]*/: { n:"BrtEndTimelineStyleElements", f:parsenoop },
	/*::[*/0x0836/*::]*/: { n:"BrtDxf15", f:parsenoop },
	/*::[*/0x0837/*::]*/: { n:"BrtBeginDxfs15", f:parsenoop },
	/*::[*/0x0838/*::]*/: { n:"brtEndDxfs15", f:parsenoop },
	/*::[*/0x0839/*::]*/: { n:"BrtSlicerCacheHideItemsWithNoData", f:parsenoop },
	/*::[*/0x083A/*::]*/: { n:"BrtBeginItemUniqueNames", f:parsenoop },
	/*::[*/0x083B/*::]*/: { n:"BrtEndItemUniqueNames", f:parsenoop },
	/*::[*/0x083C/*::]*/: { n:"BrtItemUniqueName", f:parsenoop },
	/*::[*/0x083D/*::]*/: { n:"BrtBeginExtConn15", f:parsenoop },
	/*::[*/0x083E/*::]*/: { n:"BrtEndExtConn15", f:parsenoop },
	/*::[*/0x083F/*::]*/: { n:"BrtBeginOledbPr15", f:parsenoop },
	/*::[*/0x0840/*::]*/: { n:"BrtEndOledbPr15", f:parsenoop },
	/*::[*/0x0841/*::]*/: { n:"BrtBeginDataFeedPr15", f:parsenoop },
	/*::[*/0x0842/*::]*/: { n:"BrtEndDataFeedPr15", f:parsenoop },
	/*::[*/0x0843/*::]*/: { n:"BrtTextPr15", f:parsenoop },
	/*::[*/0x0844/*::]*/: { n:"BrtRangePr15", f:parsenoop },
	/*::[*/0x0845/*::]*/: { n:"BrtDbCommand15", f:parsenoop },
	/*::[*/0x0846/*::]*/: { n:"BrtBeginDbTables15", f:parsenoop },
	/*::[*/0x0847/*::]*/: { n:"BrtEndDbTables15", f:parsenoop },
	/*::[*/0x0848/*::]*/: { n:"BrtDbTable15", f:parsenoop },
	/*::[*/0x0849/*::]*/: { n:"BrtBeginDataModel", f:parsenoop },
	/*::[*/0x084A/*::]*/: { n:"BrtEndDataModel", f:parsenoop },
	/*::[*/0x084B/*::]*/: { n:"BrtBeginModelTables", f:parsenoop },
	/*::[*/0x084C/*::]*/: { n:"BrtEndModelTables", f:parsenoop },
	/*::[*/0x084D/*::]*/: { n:"BrtModelTable", f:parsenoop },
	/*::[*/0x084E/*::]*/: { n:"BrtBeginModelRelationships", f:parsenoop },
	/*::[*/0x084F/*::]*/: { n:"BrtEndModelRelationships", f:parsenoop },
	/*::[*/0x0850/*::]*/: { n:"BrtModelRelationship", f:parsenoop },
	/*::[*/0x0851/*::]*/: { n:"BrtBeginECTxtWiz15", f:parsenoop },
	/*::[*/0x0852/*::]*/: { n:"BrtEndECTxtWiz15", f:parsenoop },
	/*::[*/0x0853/*::]*/: { n:"BrtBeginECTWFldInfoLst15", f:parsenoop },
	/*::[*/0x0854/*::]*/: { n:"BrtEndECTWFldInfoLst15", f:parsenoop },
	/*::[*/0x0855/*::]*/: { n:"BrtBeginECTWFldInfo15", f:parsenoop },
	/*::[*/0x0856/*::]*/: { n:"BrtFieldListActiveItem", f:parsenoop },
	/*::[*/0x0857/*::]*/: { n:"BrtPivotCacheIdVersion", f:parsenoop },
	/*::[*/0x0858/*::]*/: { n:"BrtSXDI15", f:parsenoop },
	/*::[*/0xFFFF/*::]*/: { n:"", f:parsenoop }
};

var evert_RE = evert_key(XLSBRecordEnum, 'n');

/* [MS-XLS] 2.3 Record Enumeration */
var XLSRecordEnum = {
	/*::[*/0x0003/*::]*/: { n:"BIFF2NUM", f:parse_BIFF2NUM },
	/*::[*/0x0004/*::]*/: { n:"BIFF2STR", f:parse_BIFF2STR },
	/*::[*/0x0006/*::]*/: { n:"Formula", f:parse_Formula },
	/*::[*/0x0009/*::]*/: { n:'BOF', f:parse_BOF },
	/*::[*/0x000a/*::]*/: { n:'EOF', f:parse_EOF },
	/*::[*/0x000c/*::]*/: { n:"CalcCount", f:parse_CalcCount },
	/*::[*/0x000d/*::]*/: { n:"CalcMode", f:parse_CalcMode },
	/*::[*/0x000e/*::]*/: { n:"CalcPrecision", f:parse_CalcPrecision },
	/*::[*/0x000f/*::]*/: { n:"CalcRefMode", f:parse_CalcRefMode },
	/*::[*/0x0010/*::]*/: { n:"CalcDelta", f:parse_CalcDelta },
	/*::[*/0x0011/*::]*/: { n:"CalcIter", f:parse_CalcIter },
	/*::[*/0x0012/*::]*/: { n:"Protect", f:parse_Protect },
	/*::[*/0x0013/*::]*/: { n:"Password", f:parse_Password },
	/*::[*/0x0014/*::]*/: { n:"Header", f:parse_Header },
	/*::[*/0x0015/*::]*/: { n:"Footer", f:parse_Footer },
	/*::[*/0x0017/*::]*/: { n:"ExternSheet", f:parse_ExternSheet },
	/*::[*/0x0018/*::]*/: { n:"Lbl", f:parse_Lbl },
	/*::[*/0x0019/*::]*/: { n:"WinProtect", f:parse_WinProtect },
	/*::[*/0x001a/*::]*/: { n:"VerticalPageBreaks", f:parse_VerticalPageBreaks },
	/*::[*/0x001b/*::]*/: { n:"HorizontalPageBreaks", f:parse_HorizontalPageBreaks },
	/*::[*/0x001c/*::]*/: { n:"Note", f:parse_Note },
	/*::[*/0x001d/*::]*/: { n:"Selection", f:parse_Selection },
	/*::[*/0x0022/*::]*/: { n:"Date1904", f:parse_Date1904 },
	/*::[*/0x0023/*::]*/: { n:"ExternName", f:parse_ExternName },
	/*::[*/0x0026/*::]*/: { n:"LeftMargin", f:parse_LeftMargin },
	/*::[*/0x0027/*::]*/: { n:"RightMargin", f:parse_RightMargin },
	/*::[*/0x0028/*::]*/: { n:"TopMargin", f:parse_TopMargin },
	/*::[*/0x0029/*::]*/: { n:"BottomMargin", f:parse_BottomMargin },
	/*::[*/0x002a/*::]*/: { n:"PrintRowCol", f:parse_PrintRowCol },
	/*::[*/0x002b/*::]*/: { n:"PrintGrid", f:parse_PrintGrid },
	/*::[*/0x002f/*::]*/: { n:"FilePass", f:parse_FilePass },
	/*::[*/0x0031/*::]*/: { n:"Font", f:parse_Font },
	/*::[*/0x0033/*::]*/: { n:"PrintSize", f:parse_PrintSize },
	/*::[*/0x003c/*::]*/: { n:"Continue", f:parse_Continue },
	/*::[*/0x003d/*::]*/: { n:"Window1", f:parse_Window1 },
	/*::[*/0x0040/*::]*/: { n:"Backup", f:parse_Backup },
	/*::[*/0x0041/*::]*/: { n:"Pane", f:parse_Pane },
	/*::[*/0x0042/*::]*/: { n:'CodePage', f:parse_CodePage },
	/*::[*/0x004d/*::]*/: { n:"Pls", f:parse_Pls },
	/*::[*/0x0050/*::]*/: { n:"DCon", f:parse_DCon },
	/*::[*/0x0051/*::]*/: { n:"DConRef", f:parse_DConRef },
	/*::[*/0x0052/*::]*/: { n:"DConName", f:parse_DConName },
	/*::[*/0x0055/*::]*/: { n:"DefColWidth", f:parse_DefColWidth },
	/*::[*/0x0059/*::]*/: { n:"XCT", f:parse_XCT },
	/*::[*/0x005a/*::]*/: { n:"CRN", f:parse_CRN },
	/*::[*/0x005b/*::]*/: { n:"FileSharing", f:parse_FileSharing },
	/*::[*/0x005c/*::]*/: { n:'WriteAccess', f:parse_WriteAccess },
	/*::[*/0x005d/*::]*/: { n:"Obj", f:parse_Obj },
	/*::[*/0x005e/*::]*/: { n:"Uncalced", f:parse_Uncalced },
	/*::[*/0x005f/*::]*/: { n:"CalcSaveRecalc", f:parse_CalcSaveRecalc },
	/*::[*/0x0060/*::]*/: { n:"Template", f:parse_Template },
	/*::[*/0x0061/*::]*/: { n:"Intl", f:parse_Intl },
	/*::[*/0x0063/*::]*/: { n:"ObjProtect", f:parse_ObjProtect },
	/*::[*/0x007d/*::]*/: { n:"ColInfo", f:parse_ColInfo },
	/*::[*/0x0080/*::]*/: { n:"Guts", f:parse_Guts },
	/*::[*/0x0081/*::]*/: { n:"WsBool", f:parse_WsBool },
	/*::[*/0x0082/*::]*/: { n:"GridSet", f:parse_GridSet },
	/*::[*/0x0083/*::]*/: { n:"HCenter", f:parse_HCenter },
	/*::[*/0x0084/*::]*/: { n:"VCenter", f:parse_VCenter },
	/*::[*/0x0085/*::]*/: { n:'BoundSheet8', f:parse_BoundSheet8 },
	/*::[*/0x0086/*::]*/: { n:"WriteProtect", f:parse_WriteProtect },
	/*::[*/0x008c/*::]*/: { n:"Country", f:parse_Country },
	/*::[*/0x008d/*::]*/: { n:"HideObj", f:parse_HideObj },
	/*::[*/0x0090/*::]*/: { n:"Sort", f:parse_Sort },
	/*::[*/0x0092/*::]*/: { n:"Palette", f:parse_Palette },
	/*::[*/0x0097/*::]*/: { n:"Sync", f:parse_Sync },
	/*::[*/0x0098/*::]*/: { n:"LPr", f:parse_LPr },
	/*::[*/0x0099/*::]*/: { n:"DxGCol", f:parse_DxGCol },
	/*::[*/0x009a/*::]*/: { n:"FnGroupName", f:parse_FnGroupName },
	/*::[*/0x009b/*::]*/: { n:"FilterMode", f:parse_FilterMode },
	/*::[*/0x009c/*::]*/: { n:"BuiltInFnGroupCount", f:parse_BuiltInFnGroupCount },
	/*::[*/0x009d/*::]*/: { n:"AutoFilterInfo", f:parse_AutoFilterInfo },
	/*::[*/0x009e/*::]*/: { n:"AutoFilter", f:parse_AutoFilter },
	/*::[*/0x00a0/*::]*/: { n:"Scl", f:parse_Scl },
	/*::[*/0x00a1/*::]*/: { n:"Setup", f:parse_Setup },
	/*::[*/0x00ae/*::]*/: { n:"ScenMan", f:parse_ScenMan },
	/*::[*/0x00af/*::]*/: { n:"SCENARIO", f:parse_SCENARIO },
	/*::[*/0x00b0/*::]*/: { n:"SxView", f:parse_SxView },
	/*::[*/0x00b1/*::]*/: { n:"Sxvd", f:parse_Sxvd },
	/*::[*/0x00b2/*::]*/: { n:"SXVI", f:parse_SXVI },
	/*::[*/0x00b4/*::]*/: { n:"SxIvd", f:parse_SxIvd },
	/*::[*/0x00b5/*::]*/: { n:"SXLI", f:parse_SXLI },
	/*::[*/0x00b6/*::]*/: { n:"SXPI", f:parse_SXPI },
	/*::[*/0x00b8/*::]*/: { n:"DocRoute", f:parse_DocRoute },
	/*::[*/0x00b9/*::]*/: { n:"RecipName", f:parse_RecipName },
	/*::[*/0x00bd/*::]*/: { n:"MulRk", f:parse_MulRk },
	/*::[*/0x00be/*::]*/: { n:"MulBlank", f:parse_MulBlank },
	/*::[*/0x00c1/*::]*/: { n:'Mms', f:parse_Mms },
	/*::[*/0x00c5/*::]*/: { n:"SXDI", f:parse_SXDI },
	/*::[*/0x00c6/*::]*/: { n:"SXDB", f:parse_SXDB },
	/*::[*/0x00c7/*::]*/: { n:"SXFDB", f:parse_SXFDB },
	/*::[*/0x00c8/*::]*/: { n:"SXDBB", f:parse_SXDBB },
	/*::[*/0x00c9/*::]*/: { n:"SXNum", f:parse_SXNum },
	/*::[*/0x00ca/*::]*/: { n:"SxBool", f:parse_SxBool },
	/*::[*/0x00cb/*::]*/: { n:"SxErr", f:parse_SxErr },
	/*::[*/0x00cc/*::]*/: { n:"SXInt", f:parse_SXInt },
	/*::[*/0x00cd/*::]*/: { n:"SXString", f:parse_SXString },
	/*::[*/0x00ce/*::]*/: { n:"SXDtr", f:parse_SXDtr },
	/*::[*/0x00cf/*::]*/: { n:"SxNil", f:parse_SxNil },
	/*::[*/0x00d0/*::]*/: { n:"SXTbl", f:parse_SXTbl },
	/*::[*/0x00d1/*::]*/: { n:"SXTBRGIITM", f:parse_SXTBRGIITM },
	/*::[*/0x00d2/*::]*/: { n:"SxTbpg", f:parse_SxTbpg },
	/*::[*/0x00d3/*::]*/: { n:"ObProj", f:parse_ObProj },
	/*::[*/0x00d5/*::]*/: { n:"SXStreamID", f:parse_SXStreamID },
	/*::[*/0x00d7/*::]*/: { n:"DBCell", f:parse_DBCell },
	/*::[*/0x00d8/*::]*/: { n:"SXRng", f:parse_SXRng },
	/*::[*/0x00d9/*::]*/: { n:"SxIsxoper", f:parse_SxIsxoper },
	/*::[*/0x00da/*::]*/: { n:"BookBool", f:parse_BookBool },
	/*::[*/0x00dc/*::]*/: { n:"DbOrParamQry", f:parse_DbOrParamQry },
	/*::[*/0x00dd/*::]*/: { n:"ScenarioProtect", f:parse_ScenarioProtect },
	/*::[*/0x00de/*::]*/: { n:"OleObjectSize", f:parse_OleObjectSize },
	/*::[*/0x00e0/*::]*/: { n:"XF", f:parse_XF },
	/*::[*/0x00e1/*::]*/: { n:'InterfaceHdr', f:parse_InterfaceHdr },
	/*::[*/0x00e2/*::]*/: { n:'InterfaceEnd', f:parse_InterfaceEnd },
	/*::[*/0x00e3/*::]*/: { n:"SXVS", f:parse_SXVS },
	/*::[*/0x00e5/*::]*/: { n:"MergeCells", f:parse_MergeCells },
	/*::[*/0x00e9/*::]*/: { n:"BkHim", f:parse_BkHim },
	/*::[*/0x00eb/*::]*/: { n:"MsoDrawingGroup", f:parse_MsoDrawingGroup },
	/*::[*/0x00ec/*::]*/: { n:"MsoDrawing", f:parse_MsoDrawing },
	/*::[*/0x00ed/*::]*/: { n:"MsoDrawingSelection", f:parse_MsoDrawingSelection },
	/*::[*/0x00ef/*::]*/: { n:"PhoneticInfo", f:parse_PhoneticInfo },
	/*::[*/0x00f0/*::]*/: { n:"SxRule", f:parse_SxRule },
	/*::[*/0x00f1/*::]*/: { n:"SXEx", f:parse_SXEx },
	/*::[*/0x00f2/*::]*/: { n:"SxFilt", f:parse_SxFilt },
	/*::[*/0x00f4/*::]*/: { n:"SxDXF", f:parse_SxDXF },
	/*::[*/0x00f5/*::]*/: { n:"SxItm", f:parse_SxItm },
	/*::[*/0x00f6/*::]*/: { n:"SxName", f:parse_SxName },
	/*::[*/0x00f7/*::]*/: { n:"SxSelect", f:parse_SxSelect },
	/*::[*/0x00f8/*::]*/: { n:"SXPair", f:parse_SXPair },
	/*::[*/0x00f9/*::]*/: { n:"SxFmla", f:parse_SxFmla },
	/*::[*/0x00fb/*::]*/: { n:"SxFormat", f:parse_SxFormat },
	/*::[*/0x00fc/*::]*/: { n:"SST", f:parse_SST },
	/*::[*/0x00fd/*::]*/: { n:"LabelSst", f:parse_LabelSst },
	/*::[*/0x00ff/*::]*/: { n:"ExtSST", f:parse_ExtSST },
	/*::[*/0x0100/*::]*/: { n:"SXVDEx", f:parse_SXVDEx },
	/*::[*/0x0103/*::]*/: { n:"SXFormula", f:parse_SXFormula },
	/*::[*/0x0122/*::]*/: { n:"SXDBEx", f:parse_SXDBEx },
	/*::[*/0x0137/*::]*/: { n:"RRDInsDel", f:parse_RRDInsDel },
	/*::[*/0x0138/*::]*/: { n:"RRDHead", f:parse_RRDHead },
	/*::[*/0x013b/*::]*/: { n:"RRDChgCell", f:parse_RRDChgCell },
	/*::[*/0x013d/*::]*/: { n:"RRTabId", f:parse_RRTabId },
	/*::[*/0x013e/*::]*/: { n:"RRDRenSheet", f:parse_RRDRenSheet },
	/*::[*/0x013f/*::]*/: { n:"RRSort", f:parse_RRSort },
	/*::[*/0x0140/*::]*/: { n:"RRDMove", f:parse_RRDMove },
	/*::[*/0x014a/*::]*/: { n:"RRFormat", f:parse_RRFormat },
	/*::[*/0x014b/*::]*/: { n:"RRAutoFmt", f:parse_RRAutoFmt },
	/*::[*/0x014d/*::]*/: { n:"RRInsertSh", f:parse_RRInsertSh },
	/*::[*/0x014e/*::]*/: { n:"RRDMoveBegin", f:parse_RRDMoveBegin },
	/*::[*/0x014f/*::]*/: { n:"RRDMoveEnd", f:parse_RRDMoveEnd },
	/*::[*/0x0150/*::]*/: { n:"RRDInsDelBegin", f:parse_RRDInsDelBegin },
	/*::[*/0x0151/*::]*/: { n:"RRDInsDelEnd", f:parse_RRDInsDelEnd },
	/*::[*/0x0152/*::]*/: { n:"RRDConflict", f:parse_RRDConflict },
	/*::[*/0x0153/*::]*/: { n:"RRDDefName", f:parse_RRDDefName },
	/*::[*/0x0154/*::]*/: { n:"RRDRstEtxp", f:parse_RRDRstEtxp },
	/*::[*/0x015f/*::]*/: { n:"LRng", f:parse_LRng },
	/*::[*/0x0160/*::]*/: { n:"UsesELFs", f:parse_UsesELFs },
	/*::[*/0x0161/*::]*/: { n:"DSF", f:parse_DSF },
	/*::[*/0x0191/*::]*/: { n:"CUsr", f:parse_CUsr },
	/*::[*/0x0192/*::]*/: { n:"CbUsr", f:parse_CbUsr },
	/*::[*/0x0193/*::]*/: { n:"UsrInfo", f:parse_UsrInfo },
	/*::[*/0x0194/*::]*/: { n:"UsrExcl", f:parse_UsrExcl },
	/*::[*/0x0195/*::]*/: { n:"FileLock", f:parse_FileLock },
	/*::[*/0x0196/*::]*/: { n:"RRDInfo", f:parse_RRDInfo },
	/*::[*/0x0197/*::]*/: { n:"BCUsrs", f:parse_BCUsrs },
	/*::[*/0x0198/*::]*/: { n:"UsrChk", f:parse_UsrChk },
	/*::[*/0x01a9/*::]*/: { n:"UserBView", f:parse_UserBView },
	/*::[*/0x01aa/*::]*/: { n:"UserSViewBegin", f:parse_UserSViewBegin },
	/*::[*/0x01ab/*::]*/: { n:"UserSViewEnd", f:parse_UserSViewEnd },
	/*::[*/0x01ac/*::]*/: { n:"RRDUserView", f:parse_RRDUserView },
	/*::[*/0x01ad/*::]*/: { n:"Qsi", f:parse_Qsi },
	/*::[*/0x01ae/*::]*/: { n:"SupBook", f:parse_SupBook },
	/*::[*/0x01af/*::]*/: { n:"Prot4Rev", f:parse_Prot4Rev },
	/*::[*/0x01b0/*::]*/: { n:"CondFmt", f:parse_CondFmt },
	/*::[*/0x01b1/*::]*/: { n:"CF", f:parse_CF },
	/*::[*/0x01b2/*::]*/: { n:"DVal", f:parse_DVal },
	/*::[*/0x01b5/*::]*/: { n:"DConBin", f:parse_DConBin },
	/*::[*/0x01b6/*::]*/: { n:"TxO", f:parse_TxO },
	/*::[*/0x01b7/*::]*/: { n:"RefreshAll", f:parse_RefreshAll },
	/*::[*/0x01b8/*::]*/: { n:"HLink", f:parse_HLink },
	/*::[*/0x01b9/*::]*/: { n:"Lel", f:parse_Lel },
	/*::[*/0x01ba/*::]*/: { n:"CodeName", f:parse_XLSCodeName },
	/*::[*/0x01bb/*::]*/: { n:"SXFDBType", f:parse_SXFDBType },
	/*::[*/0x01bc/*::]*/: { n:"Prot4RevPass", f:parse_Prot4RevPass },
	/*::[*/0x01bd/*::]*/: { n:"ObNoMacros", f:parse_ObNoMacros },
	/*::[*/0x01be/*::]*/: { n:"Dv", f:parse_Dv },
	/*::[*/0x01c0/*::]*/: { n:"Excel9File", f:parse_Excel9File },
	/*::[*/0x01c1/*::]*/: { n:"RecalcId", f:parse_RecalcId, r:2},
	/*::[*/0x01c2/*::]*/: { n:"EntExU2", f:parse_EntExU2 },
	/*::[*/0x0200/*::]*/: { n:"Dimensions", f:parse_Dimensions },
	/*::[*/0x0201/*::]*/: { n:"Blank", f:parse_Blank },
	/*::[*/0x0203/*::]*/: { n:"Number", f:parse_Number },
	/*::[*/0x0204/*::]*/: { n:"Label", f:parse_Label },
	/*::[*/0x0205/*::]*/: { n:"BoolErr", f:parse_BoolErr },
	/*::[*/0x0206/*::]*/: { n:"Formula", f:parse_Formula },
	/*::[*/0x0207/*::]*/: { n:"String", f:parse_String },
	/*::[*/0x0208/*::]*/: { n:'Row', f:parse_Row },
	/*::[*/0x020b/*::]*/: { n:"Index", f:parse_Index },
	/*::[*/0x0221/*::]*/: { n:"Array", f:parse_Array },
	/*::[*/0x0225/*::]*/: { n:"DefaultRowHeight", f:parse_DefaultRowHeight },
	/*::[*/0x0236/*::]*/: { n:"Table", f:parse_Table },
	/*::[*/0x023e/*::]*/: { n:"Window2", f:parse_Window2 },
	/*::[*/0x027e/*::]*/: { n:"RK", f:parse_RK },
	/*::[*/0x0293/*::]*/: { n:"Style", f:parse_Style },
	/*::[*/0x0406/*::]*/: { n:"Formula", f:parse_Formula },
	/*::[*/0x0418/*::]*/: { n:"BigName", f:parse_BigName },
	/*::[*/0x041e/*::]*/: { n:"Format", f:parse_Format },
	/*::[*/0x043c/*::]*/: { n:"ContinueBigName", f:parse_ContinueBigName },
	/*::[*/0x04bc/*::]*/: { n:"ShrFmla", f:parse_ShrFmla },
	/*::[*/0x0800/*::]*/: { n:"HLinkTooltip", f:parse_HLinkTooltip },
	/*::[*/0x0801/*::]*/: { n:"WebPub", f:parse_WebPub },
	/*::[*/0x0802/*::]*/: { n:"QsiSXTag", f:parse_QsiSXTag },
	/*::[*/0x0803/*::]*/: { n:"DBQueryExt", f:parse_DBQueryExt },
	/*::[*/0x0804/*::]*/: { n:"ExtString", f:parse_ExtString },
	/*::[*/0x0805/*::]*/: { n:"TxtQry", f:parse_TxtQry },
	/*::[*/0x0806/*::]*/: { n:"Qsir", f:parse_Qsir },
	/*::[*/0x0807/*::]*/: { n:"Qsif", f:parse_Qsif },
	/*::[*/0x0808/*::]*/: { n:"RRDTQSIF", f:parse_RRDTQSIF },
	/*::[*/0x0809/*::]*/: { n:'BOF', f:parse_BOF },
	/*::[*/0x080a/*::]*/: { n:"OleDbConn", f:parse_OleDbConn },
	/*::[*/0x080b/*::]*/: { n:"WOpt", f:parse_WOpt },
	/*::[*/0x080c/*::]*/: { n:"SXViewEx", f:parse_SXViewEx },
	/*::[*/0x080d/*::]*/: { n:"SXTH", f:parse_SXTH },
	/*::[*/0x080e/*::]*/: { n:"SXPIEx", f:parse_SXPIEx },
	/*::[*/0x080f/*::]*/: { n:"SXVDTEx", f:parse_SXVDTEx },
	/*::[*/0x0810/*::]*/: { n:"SXViewEx9", f:parse_SXViewEx9 },
	/*::[*/0x0812/*::]*/: { n:"ContinueFrt", f:parse_ContinueFrt },
	/*::[*/0x0813/*::]*/: { n:"RealTimeData", f:parse_RealTimeData },
	/*::[*/0x0850/*::]*/: { n:"ChartFrtInfo", f:parse_ChartFrtInfo },
	/*::[*/0x0851/*::]*/: { n:"FrtWrapper", f:parse_FrtWrapper },
	/*::[*/0x0852/*::]*/: { n:"StartBlock", f:parse_StartBlock },
	/*::[*/0x0853/*::]*/: { n:"EndBlock", f:parse_EndBlock },
	/*::[*/0x0854/*::]*/: { n:"StartObject", f:parse_StartObject },
	/*::[*/0x0855/*::]*/: { n:"EndObject", f:parse_EndObject },
	/*::[*/0x0856/*::]*/: { n:"CatLab", f:parse_CatLab },
	/*::[*/0x0857/*::]*/: { n:"YMult", f:parse_YMult },
	/*::[*/0x0858/*::]*/: { n:"SXViewLink", f:parse_SXViewLink },
	/*::[*/0x0859/*::]*/: { n:"PivotChartBits", f:parse_PivotChartBits },
	/*::[*/0x085a/*::]*/: { n:"FrtFontList", f:parse_FrtFontList },
	/*::[*/0x0862/*::]*/: { n:"SheetExt", f:parse_SheetExt },
	/*::[*/0x0863/*::]*/: { n:"BookExt", f:parse_BookExt, r:12},
	/*::[*/0x0864/*::]*/: { n:"SXAddl", f:parse_SXAddl },
	/*::[*/0x0865/*::]*/: { n:"CrErr", f:parse_CrErr },
	/*::[*/0x0866/*::]*/: { n:"HFPicture", f:parse_HFPicture },
	/*::[*/0x0867/*::]*/: { n:'FeatHdr', f:parse_FeatHdr },
	/*::[*/0x0868/*::]*/: { n:"Feat", f:parse_Feat },
	/*::[*/0x086a/*::]*/: { n:"DataLabExt", f:parse_DataLabExt },
	/*::[*/0x086b/*::]*/: { n:"DataLabExtContents", f:parse_DataLabExtContents },
	/*::[*/0x086c/*::]*/: { n:"CellWatch", f:parse_CellWatch },
	/*::[*/0x0871/*::]*/: { n:"FeatHdr11", f:parse_FeatHdr11 },
	/*::[*/0x0872/*::]*/: { n:"Feature11", f:parse_Feature11 },
	/*::[*/0x0874/*::]*/: { n:"DropDownObjIds", f:parse_DropDownObjIds },
	/*::[*/0x0875/*::]*/: { n:"ContinueFrt11", f:parse_ContinueFrt11 },
	/*::[*/0x0876/*::]*/: { n:"DConn", f:parse_DConn },
	/*::[*/0x0877/*::]*/: { n:"List12", f:parse_List12 },
	/*::[*/0x0878/*::]*/: { n:"Feature12", f:parse_Feature12 },
	/*::[*/0x0879/*::]*/: { n:"CondFmt12", f:parse_CondFmt12 },
	/*::[*/0x087a/*::]*/: { n:"CF12", f:parse_CF12 },
	/*::[*/0x087b/*::]*/: { n:"CFEx", f:parse_CFEx },
	/*::[*/0x087c/*::]*/: { n:"XFCRC", f:parse_XFCRC, r:12 },
	/*::[*/0x087d/*::]*/: { n:"XFExt", f:parse_XFExt, r:12 },
	/*::[*/0x087e/*::]*/: { n:"AutoFilter12", f:parse_AutoFilter12 },
	/*::[*/0x087f/*::]*/: { n:"ContinueFrt12", f:parse_ContinueFrt12 },
	/*::[*/0x0884/*::]*/: { n:"MDTInfo", f:parse_MDTInfo },
	/*::[*/0x0885/*::]*/: { n:"MDXStr", f:parse_MDXStr },
	/*::[*/0x0886/*::]*/: { n:"MDXTuple", f:parse_MDXTuple },
	/*::[*/0x0887/*::]*/: { n:"MDXSet", f:parse_MDXSet },
	/*::[*/0x0888/*::]*/: { n:"MDXProp", f:parse_MDXProp },
	/*::[*/0x0889/*::]*/: { n:"MDXKPI", f:parse_MDXKPI },
	/*::[*/0x088a/*::]*/: { n:"MDB", f:parse_MDB },
	/*::[*/0x088b/*::]*/: { n:"PLV", f:parse_PLV },
	/*::[*/0x088c/*::]*/: { n:"Compat12", f:parse_Compat12, r:12 },
	/*::[*/0x088d/*::]*/: { n:"DXF", f:parse_DXF },
	/*::[*/0x088e/*::]*/: { n:"TableStyles", f:parse_TableStyles, r:12 },
	/*::[*/0x088f/*::]*/: { n:"TableStyle", f:parse_TableStyle },
	/*::[*/0x0890/*::]*/: { n:"TableStyleElement", f:parse_TableStyleElement },
	/*::[*/0x0892/*::]*/: { n:"StyleExt", f:parse_StyleExt },
	/*::[*/0x0893/*::]*/: { n:"NamePublish", f:parse_NamePublish },
	/*::[*/0x0894/*::]*/: { n:"NameCmt", f:parse_NameCmt },
	/*::[*/0x0895/*::]*/: { n:"SortData", f:parse_SortData },
	/*::[*/0x0896/*::]*/: { n:"Theme", f:parse_Theme, r:12 },
	/*::[*/0x0897/*::]*/: { n:"GUIDTypeLib", f:parse_GUIDTypeLib },
	/*::[*/0x0898/*::]*/: { n:"FnGrp12", f:parse_FnGrp12 },
	/*::[*/0x0899/*::]*/: { n:"NameFnGrp12", f:parse_NameFnGrp12 },
	/*::[*/0x089a/*::]*/: { n:"MTRSettings", f:parse_MTRSettings, r:12 },
	/*::[*/0x089b/*::]*/: { n:"CompressPictures", f:parse_CompressPictures },
	/*::[*/0x089c/*::]*/: { n:"HeaderFooter", f:parse_HeaderFooter },
	/*::[*/0x089d/*::]*/: { n:"CrtLayout12", f:parse_CrtLayout12 },
	/*::[*/0x089e/*::]*/: { n:"CrtMlFrt", f:parse_CrtMlFrt },
	/*::[*/0x089f/*::]*/: { n:"CrtMlFrtContinue", f:parse_CrtMlFrtContinue },
	/*::[*/0x08a3/*::]*/: { n:"ForceFullCalculation", f:parse_ForceFullCalculation },
	/*::[*/0x08a4/*::]*/: { n:"ShapePropsStream", f:parse_ShapePropsStream },
	/*::[*/0x08a5/*::]*/: { n:"TextPropsStream", f:parse_TextPropsStream },
	/*::[*/0x08a6/*::]*/: { n:"RichTextStream", f:parse_RichTextStream },
	/*::[*/0x08a7/*::]*/: { n:"CrtLayout12A", f:parse_CrtLayout12A },
	/*::[*/0x1001/*::]*/: { n:"Units", f:parse_Units },
	/*::[*/0x1002/*::]*/: { n:"Chart", f:parse_Chart },
	/*::[*/0x1003/*::]*/: { n:"Series", f:parse_Series },
	/*::[*/0x1006/*::]*/: { n:"DataFormat", f:parse_DataFormat },
	/*::[*/0x1007/*::]*/: { n:"LineFormat", f:parse_LineFormat },
	/*::[*/0x1009/*::]*/: { n:"MarkerFormat", f:parse_MarkerFormat },
	/*::[*/0x100a/*::]*/: { n:"AreaFormat", f:parse_AreaFormat },
	/*::[*/0x100b/*::]*/: { n:"PieFormat", f:parse_PieFormat },
	/*::[*/0x100c/*::]*/: { n:"AttachedLabel", f:parse_AttachedLabel },
	/*::[*/0x100d/*::]*/: { n:"SeriesText", f:parse_SeriesText },
	/*::[*/0x1014/*::]*/: { n:"ChartFormat", f:parse_ChartFormat },
	/*::[*/0x1015/*::]*/: { n:"Legend", f:parse_Legend },
	/*::[*/0x1016/*::]*/: { n:"SeriesList", f:parse_SeriesList },
	/*::[*/0x1017/*::]*/: { n:"Bar", f:parse_Bar },
	/*::[*/0x1018/*::]*/: { n:"Line", f:parse_Line },
	/*::[*/0x1019/*::]*/: { n:"Pie", f:parse_Pie },
	/*::[*/0x101a/*::]*/: { n:"Area", f:parse_Area },
	/*::[*/0x101b/*::]*/: { n:"Scatter", f:parse_Scatter },
	/*::[*/0x101c/*::]*/: { n:"CrtLine", f:parse_CrtLine },
	/*::[*/0x101d/*::]*/: { n:"Axis", f:parse_Axis },
	/*::[*/0x101e/*::]*/: { n:"Tick", f:parse_Tick },
	/*::[*/0x101f/*::]*/: { n:"ValueRange", f:parse_ValueRange },
	/*::[*/0x1020/*::]*/: { n:"CatSerRange", f:parse_CatSerRange },
	/*::[*/0x1021/*::]*/: { n:"AxisLine", f:parse_AxisLine },
	/*::[*/0x1022/*::]*/: { n:"CrtLink", f:parse_CrtLink },
	/*::[*/0x1024/*::]*/: { n:"DefaultText", f:parse_DefaultText },
	/*::[*/0x1025/*::]*/: { n:"Text", f:parse_Text },
	/*::[*/0x1026/*::]*/: { n:"FontX", f:parse_FontX },
	/*::[*/0x1027/*::]*/: { n:"ObjectLink", f:parse_ObjectLink },
	/*::[*/0x1032/*::]*/: { n:"Frame", f:parse_Frame },
	/*::[*/0x1033/*::]*/: { n:"Begin", f:parse_Begin },
	/*::[*/0x1034/*::]*/: { n:"End", f:parse_End },
	/*::[*/0x1035/*::]*/: { n:"PlotArea", f:parse_PlotArea },
	/*::[*/0x103a/*::]*/: { n:"Chart3d", f:parse_Chart3d },
	/*::[*/0x103c/*::]*/: { n:"PicF", f:parse_PicF },
	/*::[*/0x103d/*::]*/: { n:"DropBar", f:parse_DropBar },
	/*::[*/0x103e/*::]*/: { n:"Radar", f:parse_Radar },
	/*::[*/0x103f/*::]*/: { n:"Surf", f:parse_Surf },
	/*::[*/0x1040/*::]*/: { n:"RadarArea", f:parse_RadarArea },
	/*::[*/0x1041/*::]*/: { n:"AxisParent", f:parse_AxisParent },
	/*::[*/0x1043/*::]*/: { n:"LegendException", f:parse_LegendException },
	/*::[*/0x1044/*::]*/: { n:"ShtProps", f:parse_ShtProps },
	/*::[*/0x1045/*::]*/: { n:"SerToCrt", f:parse_SerToCrt },
	/*::[*/0x1046/*::]*/: { n:"AxesUsed", f:parse_AxesUsed },
	/*::[*/0x1048/*::]*/: { n:"SBaseRef", f:parse_SBaseRef },
	/*::[*/0x104a/*::]*/: { n:"SerParent", f:parse_SerParent },
	/*::[*/0x104b/*::]*/: { n:"SerAuxTrend", f:parse_SerAuxTrend },
	/*::[*/0x104e/*::]*/: { n:"IFmtRecord", f:parse_IFmtRecord },
	/*::[*/0x104f/*::]*/: { n:"Pos", f:parse_Pos },
	/*::[*/0x1050/*::]*/: { n:"AlRuns", f:parse_AlRuns },
	/*::[*/0x1051/*::]*/: { n:"BRAI", f:parse_BRAI },
	/*::[*/0x105b/*::]*/: { n:"SerAuxErrBar", f:parse_SerAuxErrBar },
	/*::[*/0x105c/*::]*/: { n:"ClrtClient", f:parse_ClrtClient },
	/*::[*/0x105d/*::]*/: { n:"SerFmt", f:parse_SerFmt },
	/*::[*/0x105f/*::]*/: { n:"Chart3DBarShape", f:parse_Chart3DBarShape },
	/*::[*/0x1060/*::]*/: { n:"Fbi", f:parse_Fbi },
	/*::[*/0x1061/*::]*/: { n:"BopPop", f:parse_BopPop },
	/*::[*/0x1062/*::]*/: { n:"AxcExt", f:parse_AxcExt },
	/*::[*/0x1063/*::]*/: { n:"Dat", f:parse_Dat },
	/*::[*/0x1064/*::]*/: { n:"PlotGrowth", f:parse_PlotGrowth },
	/*::[*/0x1065/*::]*/: { n:"SIIndex", f:parse_SIIndex },
	/*::[*/0x1066/*::]*/: { n:"GelFrame", f:parse_GelFrame },
	/*::[*/0x1067/*::]*/: { n:"BopPopCustom", f:parse_BopPopCustom },
	/*::[*/0x1068/*::]*/: { n:"Fbi2", f:parse_Fbi2 },

	/* These are specified in an older version of the spec */
	/*::[*/0x0000/*::]*/: { n:"Dimensions", f:parse_Dimensions },
	/*::[*/0x0002/*::]*/: { n:"BIFF2INT", f:parse_BIFF2INT },
	/*::[*/0x0005/*::]*/: { n:"BoolErr", f:parse_BoolErr },
	/*::[*/0x0007/*::]*/: { n:"String", f:parse_BIFF2STRING },
	/*::[*/0x0008/*::]*/: { n:"BIFF2ROW", f:parsenoop },
	/*::[*/0x000b/*::]*/: { n:"Index", f:parse_Index },
	/*::[*/0x001e/*::]*/: { n:"BIFF2FORMAT", f:parse_BIFF2Format },
	/*::[*/0x001f/*::]*/: { n:"BIFF2FMTCNT", f:parsenoop }, /* 16-bit cnt of BIFF2FORMAT records */
	/*::[*/0x0016/*::]*/: { n:"ExternCount", f:parsenoop },
	/*::[*/0x0021/*::]*/: { n:"Array", f:parse_Array },
	/*::[*/0x0025/*::]*/: { n:"DefaultRowHeight", f:parse_DefaultRowHeight },
	/*::[*/0x0032/*::]*/: { n:"BIFF2FONTXTRA", f:parse_BIFF2FONTXTRA },
	/*::[*/0x003e/*::]*/: { n:"BIFF2WINDOW2", f:parsenoop },
	/*::[*/0x0045/*::]*/: { n:"BIFF2FONTCLR", f:parsenoop },
	/*::[*/0x0056/*::]*/: { n:"BIFF4FMTCNT", f:parsenoop }, /* 16-bit cnt, similar to BIFF2 */
	/*::[*/0x007e/*::]*/: { n:"RK", f:parsenoop }, /* Not necessarily same as 0x027e */
	/*::[*/0x007f/*::]*/: { n:"ImData", f:parsenoop },
	/*::[*/0x0087/*::]*/: { n:"Addin", f:parsenoop },
	/*::[*/0x0088/*::]*/: { n:"Edg", f:parsenoop },
	/*::[*/0x0089/*::]*/: { n:"Pub", f:parsenoop },
	/*::[*/0x0091/*::]*/: { n:"Sub", f:parsenoop },
	/*::[*/0x0094/*::]*/: { n:"LHRecord", f:parsenoop },
	/*::[*/0x0095/*::]*/: { n:"LHNGraph", f:parsenoop },
	/*::[*/0x0096/*::]*/: { n:"Sound", f:parsenoop },
	/*::[*/0x00a9/*::]*/: { n:"CoordList", f:parsenoop },
	/*::[*/0x00ab/*::]*/: { n:"GCW", f:parsenoop },
	/*::[*/0x00bc/*::]*/: { n:"ShrFmla", f:parsenoop }, /* Not necessarily same as 0x04bc */
	/*::[*/0x00c2/*::]*/: { n:"AddMenu", f:parsenoop },
	/*::[*/0x00c3/*::]*/: { n:"DelMenu", f:parsenoop },
	/*::[*/0x00d6/*::]*/: { n:"RString", f:parse_RString },
	/*::[*/0x00df/*::]*/: { n:"UDDesc", f:parsenoop },
	/*::[*/0x00ea/*::]*/: { n:"TabIdConf", f:parsenoop },
	/*::[*/0x0162/*::]*/: { n:"XL5Modify", f:parsenoop },
	/*::[*/0x01a5/*::]*/: { n:"FileSharing2", f:parsenoop },
	/*::[*/0x0209/*::]*/: { n:'BOF', f:parse_BOF },
	/*::[*/0x0218/*::]*/: { n:"Lbl", f:parse_Lbl },
	/*::[*/0x0223/*::]*/: { n:"ExternName", f:parse_ExternName },
	/*::[*/0x0231/*::]*/: { n:"Font", f:parsenoop },
	/*::[*/0x0409/*::]*/: { n:'BOF', f:parse_BOF },
	/*::[*/0x086d/*::]*/: { n:"FeatInfo", f:parsenoop },
	/*::[*/0x0873/*::]*/: { n:"FeatInfo11", f:parsenoop },
	/*::[*/0x0881/*::]*/: { n:"SXAddl12", f:parsenoop },
	/*::[*/0x08c0/*::]*/: { n:"AutoWebPub", f:parsenoop },
	/*::[*/0x08c1/*::]*/: { n:"ListObj", f:parsenoop },
	/*::[*/0x08c2/*::]*/: { n:"ListField", f:parsenoop },
	/*::[*/0x08c3/*::]*/: { n:"ListDV", f:parsenoop },
	/*::[*/0x08c4/*::]*/: { n:"ListCondFmt", f:parsenoop },
	/*::[*/0x08c5/*::]*/: { n:"ListCF", f:parsenoop },
	/*::[*/0x08c6/*::]*/: { n:"FMQry", f:parsenoop },
	/*::[*/0x08c7/*::]*/: { n:"FMSQry", f:parsenoop },
	/*::[*/0x08c8/*::]*/: { n:"PLV", f:parsenoop },
	/*::[*/0x08c9/*::]*/: { n:"LnExt", f:parsenoop },
	/*::[*/0x08ca/*::]*/: { n:"MkrExt", f:parsenoop },
	/*::[*/0x08cb/*::]*/: { n:"CrtCoopt", f:parsenoop },

	/*::[*/0x0043/*::]*/: { n:"BIFF2XF", f:parsenoop },
	/*::[*/0x0243/*::]*/: { n:"BIFF3XF", f:parsenoop },
	/*::[*/0x0443/*::]*/: { n:"BIFF4XF", f:parsenoop },

	/*::[*/0x7262/*::]*/: {}
};


